Index: general.ent
===================================================================
--- general.ent	(revision 5eda3193f094cea07acf0658d8109b33fd31dc4a)
+++ general.ent	(revision 00785d8affc6b7f3780d8eb65bf40d68961a5250)
@@ -554,5 +554,5 @@
 <!-- Chapter 24 -->
 <!ENTITY qt-version                   "3.3.8d">
-<!ENTITY qt4-version                  "4.7.1">
+<!ENTITY qt4-version                  "4.8.0">
 <!ENTITY GTK-version                  "1.2.10">
 <!ENTITY cairo-version                "1.10.2">
Index: general/sysutils/usbutils.xml
===================================================================
--- general/sysutils/usbutils.xml	(revision 5eda3193f094cea07acf0658d8109b33fd31dc4a)
+++ general/sysutils/usbutils.xml	(revision 00785d8affc6b7f3780d8eb65bf40d68961a5250)
@@ -63,5 +63,5 @@
     <para role="required">
       <xref linkend="libusb"/> and
-      <xref linkend="pkg-config"/>
+      <xref linkend="pkgconfig"/>
     </para>
 
Index: kde/add/kdepim.xml
===================================================================
--- kde/add/kdepim.xml	(revision 5eda3193f094cea07acf0658d8109b33fd31dc4a)
+++ kde/add/kdepim.xml	(revision 00785d8affc6b7f3780d8eb65bf40d68961a5250)
@@ -95,5 +95,5 @@
       <ulink url="http://www.gnokii.org/">gnokii</ulink>,
       <ulink url="http://www.bluez.org">BlueZ</ulink>,
-      <ulink url="http://www.boost.org">Boost</ulink>,
+      <xref linkend="boost"/>,
       <xref linkend="graphviz"/>, and
       <xref linkend="doxygen"/>
Index: kde4/intro/kde4-intro.xml
===================================================================
--- kde4/intro/kde4-intro.xml	(revision 5eda3193f094cea07acf0658d8109b33fd31dc4a)
+++ kde4/intro/kde4-intro.xml	(revision 00785d8affc6b7f3780d8eb65bf40d68961a5250)
@@ -16,18 +16,15 @@
   <title>Introduction to KDE4</title>
 
-  <para><application>KDE</application> in version 4 is a comprehensive
-  desktop environment with a huge amount of applications written for it
-  and also a huge amount of users. Subsequently, it is refered to 
-  KDE version 4 as <application>KDE4</application>,
-  and to KDE version 3 as <application>KDE3</application> to avoid 
-  confusion in the versions.</para>
+  <para><application>KDE</application> Version 4 is a comprehensive desktop
+  environment with a huge number of applications written for it and a huge
+  amount of users. Subsequently, it is refered to as
+  <application>KDE4</application>.  The earlier version is referredt to as
+  <application>KDE3</application> to avoid confusion.</para>
 
-  <para><application>KDE3</application>, which is also in the book,
-  isn't maintained anylonger by the KDE development team because there
-  is the successor in form of <application>KDE4</application> out for
-  years now. The current version is based on <application>Qt4</application> 
-  and has some other conceptual innovations like the Plasmoids and
-  Activities. For more information about this concepts go to the
-  KDE project site at <ulink url="http://www.kde.org/"/>.</para>
+  <para><application>KDE3</application>, now renamed Trinity, is also in the
+  book.  The current version is based on <application>Qt4</application> and has
+  some other conceptual innovations like Plasmoids and Activities. For more
+  information about these concepts go to the KDE project site at <ulink
+  url="http://www.kde.org/"/>.</para>
 
 </sect1>
Index: kde4/intro/pre-install-config.xml
===================================================================
--- kde4/intro/pre-install-config.xml	(revision 5eda3193f094cea07acf0658d8109b33fd31dc4a)
+++ kde4/intro/pre-install-config.xml	(revision 00785d8affc6b7f3780d8eb65bf40d68961a5250)
@@ -18,108 +18,222 @@
   <sect2><title>Dependencies</title>
 
-    <para><application>KDE4</application> is a huge software collection 
-    providing a desktop, tools for system and development tasks as well as 
-    fun and educational stuff. It makes use of a tremendous amount of 
-    non-KDE packages. While nearly all of those packages are optional,
-    some others are are highly recommended like <xref linkend="polkit"/>.</para>
-
-    <para>The following list of packages should give you an overview
-    about those packages and you may want to consider to install them
-    first. Installing this packages will switch on some useful features
-    in the resulting <application>KDE4</application>. Nevertheless the
-    dependencies are shown on each of the following pages.
+    <para><application>KDE4</application> is a huge software collection
+    providing a desktop, tools for system and development tasks, and  fun and
+    educational programs. It makes use of a tremendous amount of non-KDE
+    packages. While nearly all of those packages are optional, some others are
+    are highly recommended.</para>
+
+    <para>The following list of packages should give you an overview about
+    those packages and you may want to consider installing them first.
+    Installing these packages will enable some useful features in the resulting
+    <application>KDE4</application> suite. Nevertheless the dependencies are
+    shown on each of the following pages.
 
     <itemizedlist>
       <listitem>
-        <para><ulink url="http://qjson.sourceforge.net">QJSON</ulink> (http://qjson.sourceforge.net) - Qt library for handling JavaScript objects. Unfortunatly, the release version 0.7.1 is to old to compile. Alternativly use the current SVN sources or apply a patch to bring the release to a usable status.</para>
-        <para>Compile it using <command>cmake -DCMAKE_INSTALL_PREFIX=/usr &amp;&amp; make &amp;&amp; make install</command> in its own build directory.</para> 
-      </listitem>
-      <listitem>
-         <para><ulink url="http://gpsd.berlios.de/">libgps</ulink> (http://gpsd.berlios.de/) - interface to GPS devices (kdeedu)</para>
-         <para>Compile it the usual way <command>configure &amp;&amp; make &amp;&amp; make install</command>.</para>
-      </listitem>
-      <listitem>
-        <para><ulink url="http://eigen.tuxfamily.org/">eigen2</ulink> (http://eigen.tuxfamily.org/) - a C++ template library for linear algebra</para>
-        <para>Compile it using <command>cmake -DCMAKE_INSTALL_PREFIX=/usr &amp;&amp; make &amp;&amp; make install</command>.</para>
-      </listitem>
-      <listitem>
-        <para><xref linkend="desktop-file-utils"/> - a few command line utilities for working with desktop entries</para>
-      </listitem>
-      <listitem>
-        <para><ulink url="http://www.riverbankcomputing.com/software/sip/intro">pySIP</ulink> (http://www.riverbankcomputing.com/software/sip/intro) - Python Service Integration Platform</para>
-        <para>Compile it <command>python ./configure &amp;&amp; make &amp;&amp; make install</command>.</para>
-      </listitem>
-      <listitem>
-        <para><ulink url="http://www.riverbankcomputing.com/software/pyqt/">pyQT4</ulink> (http://www.riverbankcomputing.com/software/pyqt/) - Python interface to Qt4 (kdebindings)</para>
-        <para>Compile it <command>python ./configure &amp;&amp; make &amp;&amp; make install</command>.</para>
-      </listitem>
-      <listitem>
+
+        <para><ulink url="http://qjson.sourceforge.net">QJSON</ulink>
+        (http://qjson.sourceforge.net) - Qt library for handling JavaScript
+        objects. Unfortunatly, the release version 0.7.1 is to old to compile.
+        Alternativly use the current SVN sources or apply a patch to bring the
+        release to a usable status.</para>
+        
+        <para>Compile it using <command>cmake -DCMAKE_INSTALL_PREFIX=/usr
+        &amp;&amp; make &amp;&amp; make install</command> in its own build
+        directory.</para> 
+      
+      </listitem>
+
+      <listitem>
+         
+         <para><ulink url="http://gpsd.berlios.de/">libgps</ulink>
+         (http://gpsd.berlios.de/) - interface to GPS devices (kdeedu)</para>
+         <para>Compile it the usual way <command>configure &amp;&amp; make
+         &amp;&amp; make install</command>.</para>
+      
+      </listitem>
+
+      <listitem>
+        
+        <para><ulink url="http://eigen.tuxfamily.org/">eigen2</ulink>
+        (http://eigen.tuxfamily.org/) - a C++ template library for linear
+        algebra</para>
+        
+        <para>Compile it using <command>cmake -DCMAKE_INSTALL_PREFIX=/usr
+        &amp;&amp; make &amp;&amp; make install</command>.</para>
+      
+      </listitem>
+      <listitem>
+        
+        <para><xref linkend="desktop-file-utils"/> - a few command line
+        utilities for working with desktop entries</para>
+      
+      </listitem>
+      <listitem>
+        
+        <para><ulink
+        url="http://www.riverbankcomputing.com/software/sip/intro">pySIP</ulink>
+        (http://www.riverbankcomputing.com/software/sip/intro) - Python Service
+        Integration Platform</para>
+        
+        <para>Compile it <command>python ./configure &amp;&amp; make &amp;&amp;
+        make install</command>.</para>
+      
+      </listitem>
+      <listitem>
+        
+        <para><ulink
+        url="http://www.riverbankcomputing.com/software/pyqt/">pyQT4</ulink>
+        (http://www.riverbankcomputing.com/software/pyqt/) - Python interface
+        to Qt4 (kdebindings)</para>
+        
+        <para>Compile it <command>python ./configure &amp;&amp; make &amp;&amp;
+        make install</command>.</para> </listitem>
+      
+      <listitem>
+      
         <para><xref linkend="ruby"/> - Ruby language (kdebindings)</para>
-      </listitem>
-      <listitem>
-        <para><xref linkend="poppler"/> - Utility and library to show PDF files (kdegraphics)</para>
+      
+      </listitem>
+      <listitem>
+
+        <para><xref linkend="poppler"/> - Utility and library to show PDF files
+        (kdegraphics)</para>
+        
         <para>make sure the --enable-xpdf-headers switch is set</para>
-      </listitem>
-      <listitem>
-        <para><xref linkend="libical"/> - library handling calendar entries (kdepimlibs)</para>
-      </listitem>
-      <listitem>
-        <para><ulink url="http://cyberelk.net/tim/data/pycups/">pyCUPS</ulink> (http://cyberelk.net/tim/data/pycups/) - Python interface to CUPS (kdeadmin)</para>
-        <para>Compile it with <command>make &amp;&amp; make install</command>.</para>
-      </listitem>
-      <listitem>
-        <para><ulink url="http://cyberelk.net/tim/data/system-config-printer/">system-config-printer</ulink> (http://cyberelk.net/tim/data/system-config-printer/) - Printer config (kdeadmin)</para>
-        <para>Compile it the usual way <command>configure &amp;&amp; make &amp;&amp; make install</command>.</para>
-      </listitem>
-      <listitem>
-        <para><xref linkend="libidn"/> - en-/decode internationalized domain names (kdenetwork)</para>
-      </listitem>
-      <listitem>
-        <para><xref linkend="polkit"/> - Policy handling (nearly all of KDE)</para>
-      </listitem>
-      <listitem>
-        <para><xref linkend="consolekit"/> - Runtime dependency of polkit</para>
-      </listitem>
-      <listitem>
+      
+      </listitem>
+      <listitem>
+        
+        <para><xref linkend="libical"/> - library handling calendar entries
+        (kdepimlibs)</para>
+      
+      </listitem>
+      
+      <listitem>
+        
+        <para><ulink url="http://cyberelk.net/tim/data/pycups/">pyCUPS</ulink>
+        (http://cyberelk.net/tim/data/pycups/) - Python interface to CUPS
+        (kdeadmin)</para>
+        
+        <para>Compile it with <command>make &amp;&amp; make
+        install</command>.</para>
+      
+      </listitem>
+      <listitem>
+        
+        <para><ulink
+        url="http://cyberelk.net/tim/data/system-config-printer/">system-config-printer</ulink>
+        (http://cyberelk.net/tim/data/system-config-printer/) - Printer config
+        (kdeadmin)</para>
+        
+        <para>Compile it the usual way <command>configure &amp;&amp; make
+        &amp;&amp; make install</command>.</para>
+
+      
+      </listitem>
+      <listitem>
+      
+        <para><xref linkend="libidn"/> - en-/decode internationalized domain
+        names (kdenetwork)</para>
+      
+      </listitem>
+      <listitem>
+        
+        <para><xref linkend="polkit"/> - Policy handling (nearly all of
+        KDE)</para>
+      
+      </listitem>
+      <listitem>
+        
+        <para><xref linkend="consolekit"/> - Runtime dependency of
+        polkit</para>
+      
+      </listitem>
+      <listitem>
+        
         <para>U-tools - udisks and upower instead of HAL</para>
-        <para>and all of its dependencies: <xref linkend="libatasmart"/>, <xref linkend="sg3_utils"/>, 
-        <xref linkend="libffi"/>, <xref linkend="acl"/>, <xref linkend="gobject-introspection"/>,
-        <xref linkend="udev"/>, <xref linkend="device-mapper"/>, <xref linkend="parted"/> and than
-        <xref linkend="udisks"/> and <xref linkend="upower"/></para>
-      </listitem>
-      <listitem>
+        
+        <para>and all of its dependencies: 
+          <xref linkend="libatasmart"/>, 
+          <xref linkend="sg3_utils"/>, 
+          <xref linkend="libffi"/>, 
+          <xref linkend="acl"/>,
+          <xref linkend="gobject-introspection"/>, 
+          <xref linkend="udev"/>, 
+          <xref linkend="device-mapper"/>, 
+          <xref linkend="parted"/> and than 
+          <xref linkend="udisks"/> and 
+          <xref linkend="upower"/>
+        </para>
+      
+      </listitem>
+      <listitem>
+        
         <para><xref linkend="libiodbc"/> - iODBC library</para>
-      </listitem>
-      <listitem>
+      
+      </listitem>
+      
+      <listitem>
+        
         <para><xref linkend="virtuoso"/> - a Universal Database</para>
-      </listitem>
-      <listitem>
+      
+      </listitem>
+      <listitem>
+        
         <para><xref linkend="exiv2"/> - Image data processing library</para>
-      </listitem>
-      <listitem>
+      
+      </listitem>
+      <listitem>
+        
         <para>RDF tools - Handling of RDF data</para>
-        <para>Including: <xref linkend="raptor"/>, <xref linkend="rasqal"/> and <xref linkend="redland"/></para>
-      </listitem>
-      <listitem>
+        
+        <para>Including: <xref linkend="raptor"/>, <xref linkend="rasqal"/> and
+        <xref linkend="redland"/></para>
+      
+      </listitem>
+      <listitem>
+        
         <para><xref linkend="clucene"/> - Text search engine</para>
-      </listitem>
-      <listitem>
+      
+      </listitem>
+      <listitem>
+        
         <para><xref linkend="boost"/> - collection of free C++ libraries</para>
-      </listitem>
-      <listitem>
-        <para><xref linkend="qca"/> - Cryptographic library for Qt platform</para>
-      </listitem>
-      <listitem>
-        <para><xref linkend="libdbusmenu-qt"/> - Qt interface to D-Bus menue</para>
-      </listitem>
-      <listitem>
-        <para><xref linkend="soprano"/> - object-oriented C++/Qt4 framework for RDF data</para>
-      </listitem>
-      <listitem>
+      
+      </listitem>
+      <listitem>
+        
+        <para><xref linkend="qca"/> - Cryptographic library for Qt
+        platform</para>
+      
+      </listitem>
+      <listitem>
+        
+        <para><xref linkend="libdbusmenu-qt"/> - Qt interface to D-Bus
+        menue</para>
+      
+      </listitem>
+      <listitem>
+        
+        <para><xref linkend="soprano"/> - object-oriented C++/Qt4 framework for
+        RDF data</para>
+      
+      </listitem>
+      
+      <listitem>
+        
         <para><xref linkend="strigi"/> - Desktop indexing engine</para>
-      </listitem>
-      <listitem>
-        <para><ulink url="http://www.grantlee.org">Grantlee</ulink> (http://www.grantlee.org) - a template system for Qt</para>
-        <para>Compile it using <command>cmake -DCMAKE_INSTALL_PREFIX=/usr &amp;&amp; make &amp;&amp; make install</command> in its own build directory.</para>
+      
+      </listitem>
+      <listitem>
+        
+        <para><ulink url="http://www.grantlee.org">Grantlee</ulink>
+        (http://www.grantlee.org) - a template system for Qt</para>
+        
+        <para>Compile it using <command>cmake -DCMAKE_INSTALL_PREFIX=/usr
+        &amp;&amp; make &amp;&amp; make install</command> in its own build
+        directory.</para>
+      
       </listitem>
     </itemizedlist>
@@ -128,8 +242,9 @@
 
   <sect2><title>Installing in /usr</title>
+    
     <para>One option is to put <application>KDE4</application> into the
-    <filename class='directory'>/usr</filename> hierarchy.  This creates
-    a simpler setup but is more difficult to try multiple versions
-    of <application>KDE4</application>.</para>
+    <filename class='directory'>/usr</filename> hierarchy.  This creates a
+    simpler setup but is more difficult to try multiple versions of
+    <application>KDE4</application>.</para>
 
 <screen><userinput>export &kde4-dir-var;=/usr</userinput></screen>
@@ -137,4 +252,5 @@
   
   <sect2><title>Installing in /opt</title>
+    
     <para>A method of building multiple versions installs
     <application>KDE4</application> in the <filename
@@ -145,5 +261,5 @@
     <para>If you are not installing <application>KDE4</application> in
     <filename class="directory">/usr</filename>, you will need to make some
-    additional configuration changes. Best practice is to add those to your 
+    additional configuration changes. Best practice is to add those to your
     system or personal profile:</para>
 
@@ -162,5 +278,4 @@
 
 export KDE4_PREFIX KDE4DIR KDEDIR
-export PATH PKG_CONFIG_PATH XDG_DATA_DIRS XDG_CONFIG_DIRS
 
 # End /etc/profile.d/kde4.sh
@@ -197,18 +312,22 @@
 
     <tip>
-      <para>Sometimes, the installation pathes are patched into installed
-      files. This is the reason why <filename class="directory">/opt/kde4</filename>
-      is used as installation prefix instead of <filename class="directory">/opt/kde-&kde4-version;</filename>.
-      After installing <application>KDE4</application>, you may consider to
-      rename the directory and create a symlink:</para>
+
+      <para>Sometimes, the installation paths are coded into installed files.
+      This is the reason why <filename class="directory">/opt/kde4</filename>
+      is used as installation prefix instead of <filename
+      class="directory">/opt/kde-&kde4-version;</filename>.  After installing
+      <application>KDE4</application>, you may rename the directory and create
+      a symlink:</para>
 
 <screen role="root"><userinput>mv /opt/kde{4,-&kde4-version;} &amp;&amp;
-ln -v -sf kde-&kde4-version; /opt/kde4</userinput></screen>
-
-      <para>Later on, you may want to install other versions of <application>KDE4</application>.
-      To do that, just remove the symlink and use <filename class="directory">/opt/kde4</filename>
-      as prefix again (<application>KDE4</application> must not be started). Which 
-      version of <application>KDE4</application> you use depends only on 
-      where the symlink points to. No other reconfiguration will be needed.</para>
+ln -vsf kde-&kde4-version; /opt/kde4</userinput></screen>
+
+      <para>Later on, you may want to install other versions of
+      <application>KDE4</application>.  To do that, just remove the symlink and
+      use <filename class="directory">/opt/kde4</filename> as ithe prefix again
+      (<application>KDE4</application> must not be started). Which version of
+      <application>KDE4</application> you use depends only on where the symlink
+      points to. No other reconfiguration will be needed.</para>
+
     </tip>
 
@@ -216,11 +335,13 @@
   
   <sect2><title>The QT4DIR variable</title>
-  <para>Some additional packages which are based on <application>Qt4</application>
-  will be installed. One of them is <application>Phonon</application>, a direct
-  replacement of the implementation which comes with <application>Qt4</application>.
-  It's recommended to place such libraries in the same hierarchy where <application>Qt4</application>
-  itself resides. Later on, it is refered to <envar>QT4DIR</envar>. If you have placed 
-  <application>Qt4</application> in <filename class='directory'>/usr</filename>,
-  set <envar>QT4DIR</envar>:</para>
+  
+  <para>Some additional packages which are based on
+  <application>Qt4</application> will be installed. One of them is
+  <application>Phonon</application>, a direct replacement of the implementation
+  which comes with <application>Qt4</application>.  It's recommended placing
+  such libraries in the same hierarchy where <application>Qt4</application>
+  itself resides. Later on, it is refered to as <envar>QT4DIR</envar>. If you have
+  placed <application>Qt4</application> in <filename
+  class='directory'>/usr</filename>, set <envar>QT4DIR</envar>:</para>
   
 <screen><userinput>export QT4DIR=/usr</userinput></screen>
Index: kde4/kde4.xml
===================================================================
--- kde4/kde4.xml	(revision 5eda3193f094cea07acf0658d8109b33fd31dc4a)
+++ kde4/kde4.xml	(revision 00785d8affc6b7f3780d8eb65bf40d68961a5250)
@@ -23,6 +23,6 @@
     reaching and keeping the quality standard as high as in other parts.</para>
 
-    <para>Please note that there may currently small as well as heavy 
-    inconsistencies and bugs and errors in the instructions as well as in 
+    <para>Please note that there may currently be 
+    inconsistencies, bugs, and errors in the instructions as well as in 
     the descriptions. Please feel free to report those.</para>
     </note>
Index: x/lib/qt4.xml
===================================================================
--- x/lib/qt4.xml	(revision 5eda3193f094cea07acf0658d8109b33fd31dc4a)
+++ x/lib/qt4.xml	(revision 00785d8affc6b7f3780d8eb65bf40d68961a5250)
@@ -5,11 +5,10 @@
   %general-entities;
 
-  <!-- <!ENTITY qt4-download-http "http://ftp.silug.org/mirrors/ftp.trolltech.com/qt/source/qt-everywhere-opensource-src-&qt4-version;.tar.gz"> -->
   <!ENTITY qt4-download-http "http://get.qt.nokia.com/qt/source/qt-everywhere-opensource-src-&qt4-version;.tar.gz">
   <!ENTITY qt4-download-ftp  "ftp://ftp.trolltech.com/qt/source/qt-everywhere-opensource-src-&qt4-version;.tar.gz">
-  <!ENTITY qt4-md5sum        "6f88d96507c84e9fea5bf3a71ebeb6d7">
-  <!ENTITY qt4-size          "211 MB">
-  <!ENTITY qt4-buildsize     "1500 MB (full), 1300 (essential)">
-  <!ENTITY qt4-time          "72 SBU (full), 60 SBU (essential)">
+  <!ENTITY qt4-md5sum        "e8a5fdbeba2927c948d9f477a6abe904">
+  <!ENTITY qt4-size          "228 MB">
+  <!ENTITY qt4-buildsize     "1.8 GB (full), 619 (essential)">
+  <!ENTITY qt4-time          "69 SBU (full), 54 SBU (essential)">
 ]>
 
@@ -174,6 +173,10 @@
 
 <screen><userinput>./configure -prefix /opt/qt-&qt4-version;  \
+            -release                 \
             -nomake examples         \
-            -nomake demos            &amp;&amp;
+            -nomake demos            \
+            -system-sqlite           \
+            -no-nis                  \
+            &amp;&amp;
 make</userinput></screen>
 