Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 04e486e8dfb15ae82aab3e184ba6e4bf81715535)
+++ introduction/welcome/changelog.xml	(revision 786d85c0f7ff198b5e558938b57bec67484b239c)
@@ -12,4 +12,7 @@
 <itemizedlist>
 
+<listitem><para>September 22st, 2003 [igor]: Updated to
+leafnode-1.9.43.</para></listitem>
+   
 <listitem><para>September 21st, 2003 [tushar]: Moved STLport to Appendix C.</para></listitem>
 
Index: server/other/leafnode/leafnode-config.xml
===================================================================
--- server/other/leafnode/leafnode-config.xml	(revision 04e486e8dfb15ae82aab3e184ba6e4bf81715535)
+++ server/other/leafnode/leafnode-config.xml	(revision 786d85c0f7ff198b5e558938b57bec67484b239c)
@@ -7,17 +7,16 @@
 <filename>/etc/xinetd.conf</filename></para>
 
-<para>leafnode may be configured to use inetd or xinetd as follows:
-</para>
+<para>leafnode may be configured to use inetd by adding a leafnode entry
+to the <filename>/etc/inetd.conf</filename> file with the following
+command:</para>
 
-<para>inetd configuration</para>
-<para>Add a leafnode entry to the <filename>/etc/inetd.conf</filename>
-file with the following command:
-<screen><userinput>echo "nntp stream tcp nowait news /usr/sbin/tcpd /usr/sbin/leafnode" \
-&gt;&gt; /etc/inetd.conf</userinput></screen></para>
+<screen><userinput><command>echo "nntp stream tcp nowait news /usr/sbin/tcpd /usr/sbin/leafnode" \
+&gt;&gt; /etc/inetd.conf</command></userinput></screen>
 
-<para>xinetd configuration</para>
-<para>Add a leafnode entry to the <filename>/etc/xinetd.conf</filename>
-file with the following command:
-<screen><userinput>cat &gt;&gt; /etc/xinetd.conf &lt;&lt; "EOF"</userinput>
+<para>Alternatively, leafnode may be configured to use xinetd by 
+adding a leafnode entry to the <filename>/etc/xinetd.conf</filename>
+file with the following command:</para>
+
+<screen><userinput><command>cat &gt;&gt; /etc/xinetd.conf &lt;&lt; "EOF"
         service nntp
         {
@@ -32,24 +31,27 @@
            per_source      = 3
         }
-<userinput>EOF</userinput></screen></para>
+EOF</command></userinput></screen>
 
 <para>The <filename>/etc/news/config</filename> file must be
-edited to reflect the name of the upstream NNTP provider.  Copy the
+edited to reflect the name of the upstream <acronym>NNTP</acronym>
+provider. Copy the
 example configuration file to <filename>/etc/news/config</filename>
-and save the original for reference : </para>
+and save the original for reference: </para>
 
-<para><screen><userinput>cp /etc/news/config.example /etc/news/config</userinput></screen></para>
-<para>Change the</para>
-<para><screen><userinput>server = </userinput></screen></para>
-<para>entry to reflect your news provider. </para>
+<screen><userinput><command>cp /etc/news/config.example /etc/news/config</command>
+</userinput></screen>
 
-<para>The NNTPSERVER environment variable must be set to 127.0.0.1 to
+<para>Change the
+<screen><userinput><command>server = </command></userinput></screen>
+entry to reflect your news provider.</para>
+
+<para>The <envar>NNTPSERVER</envar> environment variable must be set to 127.0.0.1 to
 prevent news clients from reading news from the upstream feed, add the
 following to <filename>/etc/profile</filename> or
-<filename>$HOME/.bash_profile</filename> :</para>
-<para><screen><userinput>export NNTPSERVER=127.0.0.1</userinput></screen></para>
+<filename>$HOME/.bash_profile</filename>:</para>
+
+<screen><userinput><command>export NNTPSERVER=127.0.0.1</command></userinput></screen>
 
 </sect3>
 
 </sect2>
-
Index: server/other/leafnode/leafnode-desc.xml
===================================================================
--- server/other/leafnode/leafnode-desc.xml	(revision 04e486e8dfb15ae82aab3e184ba6e4bf81715535)
+++ server/other/leafnode/leafnode-desc.xml	(revision 786d85c0f7ff198b5e558938b57bec67484b239c)
@@ -3,35 +3,38 @@
 
 <para>The leafnode package contains
-<userinput>leafnode</userinput>,
-<userinput>applyfilter</userinput>,
-<userinput>texpire</userinput>,
-<userinput>checkgroups</userinput>,
-<userinput>fetchnews</userinput> and
-<userinput>newsq.</userinput></para></sect2>
+<command>leafnode-version</command>,
+<command>leafnode</command>,
+<command>applyfilter</command>,
+<command>texpire</command>,
+<command>checkgroups</command>,
+<command>fetchnews</command> and
+<command>newsq.</command></para></sect2>
 
 <sect2><title>Description</title>
 
+<sect3><title>leafnode-version</title>
+<para><command>leafnode-version</command> prints the leafnode
+version.</para></sect3>
+
 <sect3><title>leafnode</title>
-<para>leafnode is the NNTP server daemon.</para></sect3>
+<para><command>leafnode</command> is the <acronym>NNTP</acronym> server daemon.</para></sect3>
 
 <sect3><title>applyfilter</title>
-<para>applyfilter filters newsgroup articles according to regular
+<para><command>applyfilter</command> filters newsgroup articles according to regular
 expressions.</para></sect3>
 
 <sect3><title>texpire</title>
-<para>texpire expires old articles and unread groups.</para></sect3>
+<para><command>texpire</command> expires old articles and unread groups.</para></sect3>
 
 <sect3><title>checkgroups</title>
-<para>checkgroups inserts newsgroup titles into the newsgroup
+<para><command>checkgroups</command> inserts newsgroup titles into the newsgroup
 database.</para></sect3>
 
 <sect3><title>fetchnews</title>
-<para>fetchnews sends posted articles to and retrieves new articles
+<para><command>fetchnews</command> sends posted articles to and retrieves new articles
 from an upstream news server.</para></sect3>
 
 <sect3><title>newsq</title>
-<para>newsq shows articles waiting to be sent upstream.</para></sect3>
-
+<para><command>newsq</command> shows articles waiting to be sent upstream.</para></sect3>
 
 </sect2>
-
Index: server/other/leafnode/leafnode-exp.xml
===================================================================
--- server/other/leafnode/leafnode-exp.xml	(revision 04e486e8dfb15ae82aab3e184ba6e4bf81715535)
+++ server/other/leafnode/leafnode-exp.xml	(revision 786d85c0f7ff198b5e558938b57bec67484b239c)
@@ -2,26 +2,15 @@
 <title>Installation command explanations</title>
 
-<para><userinput>
-groupadd news
-useradd -g news news :
-</userinput></para>
-<para>Create the group and user news, if not present.  Errors
-resulting from an already existing user or group news may be
-ignored.</para> 
-
-<para><userinput> --prefix=/usr</userinput> : Change the default
-installation directory of <filename>/usr/local</filename>.</para>
-
-<para><userinput> --localstatedir=/var</userinput> : Change the default
+<para><command>--localstatedir=/var</command> : Change the default
 spool directory of <filename>/usr/var</filename>.</para>
 
-<para><userinput> --sysconfdir=/etc/news</userinput> : leafnode reads its configuration data from an file called
-<filename>config</filename>, this with be created in
-<filename>/etc/news</filename> to avoid any potential conflict with
-other packages.
-</para>
+<para><command>--sysconfdir=/etc/news</command> : leafnode reads its
+configuration data from a file called <filename>config</filename> which
+will be created in <filename class="directory">/etc/news</filename> to
+avoid any potential conflict with other packages.</para>
 
-<para><userinput> make update</userinput> : Create an initial <filename>/etc/news/config.example</filename> file,
-which must be renamed to <filename>/etc/news/config</filename>.</para>
+<para><command>make update</command> : Create an initial
+<filename>/etc/news/config.example</filename> file, which must be
+renamed to <filename>/etc/news/config</filename>.</para>
 
 </sect2>
Index: server/other/leafnode/leafnode-inst.xml
===================================================================
--- server/other/leafnode/leafnode-inst.xml	(revision 04e486e8dfb15ae82aab3e184ba6e4bf81715535)
+++ server/other/leafnode/leafnode-inst.xml	(revision 786d85c0f7ff198b5e558938b57bec67484b239c)
@@ -1,14 +1,18 @@
 <sect2>
-<title>Installation of leafnode</title>
+<title>Installation of <application>leafnode</application></title>
 
-<para>Install leafnode by running the following commands:</para>
-<para><screen><userinput>groupadd news
-useradd -g news news
-./configure --localstatedir=/var --prefix=/usr \
+<para>Create the group and user news, if not present:</para>
+
+<screen><userinput><command>groupadd news &amp;&amp;
+useradd -g news news</command></userinput></screen>
+
+<para>Install <application>leafnode</application> by running the following commands:</para>
+
+<screen><userinput><command>./configure --prefix=/usr --localstatedir=/var \
     --sysconfdir=/etc/news --with-lockfile=/var/lock/fetchnews.lck &amp;&amp;
 make &amp;&amp;
 make install &amp;&amp;
 ldconfig &amp;&amp;
-make update</userinput></screen></para>
+make update</command></userinput></screen>
+
 </sect2>
-
Index: server/other/leafnode/leafnode-intro.xml
===================================================================
--- server/other/leafnode/leafnode-intro.xml	(revision 04e486e8dfb15ae82aab3e184ba6e4bf81715535)
+++ server/other/leafnode/leafnode-intro.xml	(revision 786d85c0f7ff198b5e558938b57bec67484b239c)
@@ -1,15 +1,22 @@
 <sect2>
-<title>Introduction to leafnode-&leafnode-version;</title>
+<title>Introduction to <application>leafnode</application></title>
 
-<screen>Download location (HTTP):       <ulink url="&leafnode-download-http;"/>
-Download location (FTP):        <ulink url="&leafnode-download-ftp;" />
-Version used:                   &leafnode-version;
-Package size:                   &leafnode-size;
-Estimated Disk space required:  &leafnode-buildsize;</screen>
+<para><application>leafnode</application> is an <acronym>NNTP</acronym>
+server designed for small sites to provide a local USENET spool.</para>
 
-<para>leafnode is an NNTP server designed for small sites to provide a
-local USENET spool.</para>
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink url="&leafnode-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink url="&leafnode-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &leafnode-size;</para></listitem>
+<listitem><para>Estimated Disk space required: &leafnode-buildsize;</para></listitem>
+<listitem><para>Estimated build time: &leafnode-time;</para></listitem></itemizedlist>
+</sect3>
 
-<para><screen>leafnode depends on:
-<xref linkend="pcre"/></screen>
-</para></sect2>
+<sect3><title><application>leafnode</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="pcre"/>
+</para></sect4>
+</sect3>
+
+</sect2>
Index: server/other/leafnode/leafnode.ent
===================================================================
--- server/other/leafnode/leafnode.ent	(revision 04e486e8dfb15ae82aab3e184ba6e4bf81715535)
+++ server/other/leafnode/leafnode.ent	(revision 786d85c0f7ff198b5e558938b57bec67484b239c)
@@ -3,10 +3,10 @@
 <!ENTITY leafnode-inst SYSTEM "leafnode-inst.xml">
 <!ENTITY leafnode-exp SYSTEM "leafnode-exp.xml">
-<!ENTITY leafnode-config-exp SYSTEM "leafnode-config-exp.xml">
 <!ENTITY leafnode-desc SYSTEM "leafnode-desc.xml">
 <!ENTITY leafnode-config SYSTEM "leafnode-config.xml">
-<!ENTITY leafnode-buildsize "4.5 MB">
-<!ENTITY leafnode-version "1.9.33">
+<!ENTITY leafnode-buildsize "14 MB">
+<!ENTITY leafnode-version "1.9.43">
 <!ENTITY leafnode-download-http "http://unc.dl.sourceforge.net/sourceforge/leafnode/leafnode-&leafnode-version;.rel.tar.bz2">
 <!ENTITY leafnode-download-ftp "ftp://unc.dl.sourceforge.net/pub/sourceforge/leafnode/leafnode-&leafnode-version;.rel.tar.bz2">
-<!ENTITY leafnode-size "602 KB">
+<!ENTITY leafnode-size "614 KB">
+<!ENTITY leafnode-time "0.11 SBU">