Index: general.ent
===================================================================
--- general.ent	(revision ac1cf6c8aca909edbb27c52f90bf543ad5e83b0a)
+++ general.ent	(revision 789fcfc81546d92170213218afd93d30bc151d45)
@@ -1,11 +1,11 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "26">                   <!-- Always 2 digits -->
-<!ENTITY month        "04">                   <!-- Always 2 digits -->
+<!ENTITY day          "02">                   <!-- Always 2 digits -->
+<!ENTITY month        "05">                   <!-- Always 2 digits -->
 <!ENTITY year         "2018">
 <!ENTITY copyrightdate "2001-&year;">
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "April 26th, &year;">
+<!ENTITY releasedate  "May 2nd, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/prog/perl-modules.xml
===================================================================
--- general/prog/perl-modules.xml	(revision ac1cf6c8aca909edbb27c52f90bf543ad5e83b0a)
+++ general/prog/perl-modules.xml	(revision 789fcfc81546d92170213218afd93d30bc151d45)
@@ -214,6 +214,7 @@
       <para>For unversioned modules on this page, if you are building without
       using the CPAN automated install you should check when the current version
-      was released. If it is recent you should review the 'Changes' link for it
-      at http://search.cpan.org in case the dependencies have altered.</para>
+      was released. If it is recent you should review its 'Changes' and
+      'Dependencies' links at http://search.cpan.org in case the dependencies
+      have altered.</para>
     </note>
 
@@ -749,4 +750,7 @@
                           <xref linkend="perl-module-build"/>
                         </para>
+                      </listitem>
+                      <listitem><literallayout><ulink url="http://search.cpan.org/dist/IPC-System-Simple/">IPC::System::Simple</ulink>
+(http://search.cpan.org/dist/IPC-System-Simple) (for the testsuite)</literallayout>
                       </listitem>
                     </itemizedlist>
@@ -810,6 +814,8 @@
                         </itemizedlist> <!-- end of deps for Test-File -->
                       </listitem>
-                      <listitem><literallayout><ulink url="http://search.cpan.org/dist/Test-Warn/">Test::Warn</ulink>
-(http://search.cpan.org/dist/Test-Warn (for the testsuite)</literallayout>
+                      <listitem>
+                        <para>
+                          <xref linkend="perl-test-warnings"/> (for the testsuite)
+                        </para>
                       </listitem>
                     </itemizedlist> <!-- end of deps for File-Copy-Recursive -->
@@ -825,9 +831,5 @@
                 </itemizedlist>
               </listitem>
-              <listitem>
-                <para>
-                  <xref linkend="perl-test-warnings"/> (for the testsuite)
-                </para>
-              </listitem>
+              <!-- Test-Warnings for testsuite now pulled in for File-Copy-Recursive -->
             </itemizedlist> <!-- end of deps for DateTime::Locale -->
           </listitem>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision ac1cf6c8aca909edbb27c52f90bf543ad5e83b0a)
+++ introduction/welcome/changelog.xml	(revision 789fcfc81546d92170213218afd93d30bc151d45)
@@ -43,4 +43,16 @@
 -->
    <listitem>
+      <para>May 2nd, 2018</para>
+      <itemizedlist>
+        <listitem>
+          <para>[ken] - Update external perl modules used by biber
+          for changed dependencies as at 30th April (File::Copy::Recursive now
+          uses Test::Warnings instead of Test::Warn, DateTime::Locale adds
+          IPC::System::Simple).</para>
+        </listitem>
+      </itemizedlist>
+   </listitem>
+
+   <listitem>
       <para>April 26th, 2018</para>
       <itemizedlist>