Index: archive/gtkhtml.xml
===================================================================
--- archive/gtkhtml.xml	(revision 0791bf003f511840f4d1f8c249b9630710187538)
+++ archive/gtkhtml.xml	(revision 0791bf003f511840f4d1f8c249b9630710187538)
@@ -0,0 +1,182 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY gtkhtml-download-http "&gnome-download-http;/gtkhtml/4.10/gtkhtml-&gtkhtml-version;.tar.xz">
+  <!ENTITY gtkhtml-download-ftp  "&gnome-download-http;/gtkhtml/4.10/gtkhtml-&gtkhtml-version;.tar.xz">
+  <!ENTITY gtkhtml-md5sum        "a8538daed73de3fb5c7747d05139ef79">
+  <!ENTITY gtkhtml-size          "1.0 MB">
+  <!ENTITY gtkhtml-buildsize     "46 MB">
+  <!ENTITY gtkhtml-time          "0.5 SBU">
+]>
+
+<sect1 id="gtkhtml" xreflabel="GtkHTML-&gtkhtml-version;" revision="systemd">
+  <?dbhtml filename="gtkhtml.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>GtkHTML-&gtkhtml-version;</title>
+
+  <indexterm zone="gtkhtml">
+    <primary sortas="a-GtkHTML">GtkHTML</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to GtkHTML</title>
+
+    <para>
+      The <application>GtkHTML</application> package contains a
+      lightweight HTML rendering/printing/editing engine.
+    </para>
+
+    &lfs81_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&gtkhtml-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&gtkhtml-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &gtkhtml-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &gtkhtml-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &gtkhtml-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &gtkhtml-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">GtkHTML Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="enchant"/>,
+      <xref linkend="gsettings-desktop-schemas"/>,
+      <xref linkend="gtk3"/>, and
+      <xref linkend="iso-codes"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="libsoup"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <ulink url="http://glade.gnome.org/">Glade</ulink>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/gtkhtml"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of GtkHTML</title>
+
+    <para>
+      Fix a build issue with <xref linkend="enchant"/>:
+    </para>
+
+<screen><userinput>sed 's@pwl@session@' -i components/editor/gtkhtml-spell-checker.c</userinput></screen>
+
+    <para>
+      Install <application>GtkHTML</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          gtkhtml-editor-test
+        </seg>
+        <seg>
+          libgtkhtml-4.0.so and libgtkhtml-editor-4.0.so
+        </seg>
+        <seg>
+          /usr/include/libgtkhtml-4.0 and
+          /usr/share/gtkhtml-4.0
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="gtkhtml-editor-test">
+        <term><command>gtkhtml-editor-test</command></term>
+        <listitem>
+          <para>
+            is a simple HTML editor widget.
+          </para>
+          <indexterm zone="gtkhtml gtkhtml-editor-test">
+            <primary sortas="b-gtkhtml-editor-test">gtkhtml-editor-test</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libgtkhtml-4">
+        <term><filename class="libraryfile">libgtkhtml-4.0.so</filename></term>
+        <listitem>
+          <para>
+            provides the functions used to render HTML within applications.
+          </para>
+          <indexterm zone="gtkhtml libgtkhtml-4">
+            <primary sortas="c-libgtkhtml-4">libgtkhtml-4.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: general/genutils/genutils.xml
===================================================================
--- general/genutils/genutils.xml	(revision 29f2d7b875924db60013dff302a8aae1154c7ffe)
+++ general/genutils/genutils.xml	(revision 0791bf003f511840f4d1f8c249b9630710187538)
@@ -31,8 +31,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="graphviz.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gtk-doc.xml"/>
-
-  <!-- systemd only -->
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gtkhtml.xml"/>
-
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="hd2u.xml"/>
 
Index: neral/genutils/gtkhtml.xml
===================================================================
--- general/genutils/gtkhtml.xml	(revision 29f2d7b875924db60013dff302a8aae1154c7ffe)
+++ 	(revision )
@@ -1,182 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY gtkhtml-download-http "&gnome-download-http;/gtkhtml/4.10/gtkhtml-&gtkhtml-version;.tar.xz">
-  <!ENTITY gtkhtml-download-ftp  "&gnome-download-http;/gtkhtml/4.10/gtkhtml-&gtkhtml-version;.tar.xz">
-  <!ENTITY gtkhtml-md5sum        "a8538daed73de3fb5c7747d05139ef79">
-  <!ENTITY gtkhtml-size          "1.0 MB">
-  <!ENTITY gtkhtml-buildsize     "46 MB">
-  <!ENTITY gtkhtml-time          "0.5 SBU">
-]>
-
-<sect1 id="gtkhtml" xreflabel="GtkHTML-&gtkhtml-version;" revision="systemd">
-  <?dbhtml filename="gtkhtml.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>GtkHTML-&gtkhtml-version;</title>
-
-  <indexterm zone="gtkhtml">
-    <primary sortas="a-GtkHTML">GtkHTML</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to GtkHTML</title>
-
-    <para>
-      The <application>GtkHTML</application> package contains a
-      lightweight HTML rendering/printing/editing engine.
-    </para>
-
-    &lfs81_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Download (HTTP): <ulink url="&gtkhtml-download-http;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download (FTP): <ulink url="&gtkhtml-download-ftp;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download MD5 sum: &gtkhtml-md5sum;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download size: &gtkhtml-size;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated disk space required: &gtkhtml-buildsize;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated build time: &gtkhtml-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">GtkHTML Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">
-      <xref linkend="enchant"/>,
-      <xref linkend="gsettings-desktop-schemas"/>,
-      <xref linkend="gtk3"/>, and
-      <xref linkend="iso-codes"/>
-    </para>
-
-    <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para role="recommended">
-      <xref linkend="libsoup"/>
-    </para>
-
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional">
-      <ulink url="http://glade.gnome.org/">Glade</ulink>
-    </para>
-
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/gtkhtml"/>
-    </para>
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of GtkHTML</title>
-
-    <para>
-      Fix a build issue with <xref linkend="enchant"/>:
-    </para>
-
-<screen><userinput>sed 's@pwl@session@' -i components/editor/gtkhtml-spell-checker.c</userinput></screen>
-
-    <para>
-      Install <application>GtkHTML</application> by running the following
-      commands:
-    </para>
-
-<screen><userinput>./configure --prefix=/usr &amp;&amp;
-make</userinput></screen>
-
-    <para>
-      This package does not come with a test suite.
-    </para>
-
-    <para>
-      Now, as the <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directories</segtitle>
-
-      <seglistitem>
-        <seg>
-          gtkhtml-editor-test
-        </seg>
-        <seg>
-          libgtkhtml-4.0.so and libgtkhtml-editor-4.0.so
-        </seg>
-        <seg>
-          /usr/include/libgtkhtml-4.0 and
-          /usr/share/gtkhtml-4.0
-        </seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="gtkhtml-editor-test">
-        <term><command>gtkhtml-editor-test</command></term>
-        <listitem>
-          <para>
-            is a simple HTML editor widget.
-          </para>
-          <indexterm zone="gtkhtml gtkhtml-editor-test">
-            <primary sortas="b-gtkhtml-editor-test">gtkhtml-editor-test</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libgtkhtml-4">
-        <term><filename class="libraryfile">libgtkhtml-4.0.so</filename></term>
-        <listitem>
-          <para>
-            provides the functions used to render HTML within applications.
-          </para>
-          <indexterm zone="gtkhtml libgtkhtml-4">
-            <primary sortas="c-libgtkhtml-4">libgtkhtml-4.0.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>
Index: gnome.ent
===================================================================
--- gnome.ent	(revision 29f2d7b875924db60013dff302a8aae1154c7ffe)
+++ gnome.ent	(revision 0791bf003f511840f4d1f8c249b9630710187538)
@@ -76,12 +76,12 @@
 <!ENTITY eog-version                       "3.26.1">
 <!ENTITY epiphany-version                  "3.24.2">
-<!ENTITY evince-version                    "3.24.1">
-<!ENTITY evolution-version                 "3.24.5">
-<!ENTITY file-roller-version               "3.24.1">
+<!ENTITY evince-version                    "3.26.0">
+<!ENTITY evolution-version                 "3.26.1">
+<!ENTITY file-roller-version               "3.26.1">
 <!ENTITY gedit-version                     "3.22.1">
-<!ENTITY gnome-calculator-version          "3.24.0">
-<!ENTITY gnome-color-manager-version       "3.24.0">
+<!ENTITY gnome-calculator-version          "3.25.92">
+<!ENTITY gnome-color-manager-version       "3.26.0">
 <!ENTITY gnome-disk-utility-version        "3.26.1">
-<!ENTITY gnome-logs-version                "3.24.2">
+<!ENTITY gnome-logs-version                "3.26.0">
 <!ENTITY gnome-maps-version                "3.24.3">
 <!ENTITY gnome-nettool-version             "3.8.1">
@@ -89,5 +89,5 @@
 <!ENTITY gnome-screenshot-version          "3.22.0">
 <!ENTITY gnome-system-monitor-version      "3.24.0">
-<!ENTITY gnome-terminal-version            "3.24.2">
+<!ENTITY gnome-terminal-version            "3.26.1">
 <!ENTITY gnome-tweak-tool-version          "3.24.1">
 <!ENTITY gnome-weather-version             "3.24.0">
Index: gnome/applications/evince.xml
===================================================================
--- gnome/applications/evince.xml	(revision 29f2d7b875924db60013dff302a8aae1154c7ffe)
+++ gnome/applications/evince.xml	(revision 0791bf003f511840f4d1f8c249b9630710187538)
@@ -6,11 +6,11 @@
 
   <!ENTITY evince-download-http
-     "&gnome-download-http;/evince/&gnome-minor-24;/evince-&evince-version;.tar.xz">
+     "&gnome-download-http;/evince/&gnome-minor-26;/evince-&evince-version;.tar.xz">
   <!ENTITY evince-download-ftp
-     "&gnome-download-ftp;/evince/&gnome-minor-24;/evince-&evince-version;.tar.xz">
-  <!ENTITY evince-md5sum        "ea19a7f5903caa1ec9688d98051cdb0d">
-  <!ENTITY evince-size          "3.4 MB">
-  <!ENTITY evince-buildsize     "91 MB">
-  <!ENTITY evince-time          "1.0 SBU">
+     "&gnome-download-ftp;/evince/&gnome-minor-26;/evince-&evince-version;.tar.xz">
+  <!ENTITY evince-md5sum        "51c112ea5448c8aa35c29b8ae8aad7fc">
+  <!ENTITY evince-size          "3.1 MB">
+  <!ENTITY evince-buildsize     "95 MB">
+  <!ENTITY evince-time          "1.2 SBU">
 ]>
 
Index: gnome/applications/evolution.xml
===================================================================
--- gnome/applications/evolution.xml	(revision 29f2d7b875924db60013dff302a8aae1154c7ffe)
+++ gnome/applications/evolution.xml	(revision 0791bf003f511840f4d1f8c249b9630710187538)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY evolution-download-http "&gnome-download-http;/evolution/&gnome-minor-24;/evolution-&evolution-version;.tar.xz">
-  <!ENTITY evolution-download-ftp  "&gnome-download-ftp;/evolution/&gnome-minor-24;/evolution-&evolution-version;.tar.xz">
-  <!ENTITY evolution-md5sum        "95174800ae85871f5edae1d1962a322e">
+  <!ENTITY evolution-download-http "&gnome-download-http;/evolution/&gnome-minor-26;/evolution-&evolution-version;.tar.xz">
+  <!ENTITY evolution-download-ftp  "&gnome-download-ftp;/evolution/&gnome-minor-26;/evolution-&evolution-version;.tar.xz">
+  <!ENTITY evolution-md5sum        "678ff5a5134a6793db45faf02d15a383">
   <!ENTITY evolution-size          "12 MB">
-  <!ENTITY evolution-buildsize     "391 MB">
-  <!ENTITY evolution-time          "4.0 SBU">
+  <!ENTITY evolution-buildsize     "366 MB">
+  <!ENTITY evolution-time          "6.9 SBU">
 ]>
 
@@ -79,5 +79,4 @@
       <xref linkend="evolution-data-server"/>,
       <xref linkend="gnome-autoar"/>,
-      <xref linkend="gtkhtml"/>,
       <xref linkend="itstool"/>,
       <xref linkend="libgdata"/>,
Index: gnome/applications/file-roller.xml
===================================================================
--- gnome/applications/file-roller.xml	(revision 29f2d7b875924db60013dff302a8aae1154c7ffe)
+++ gnome/applications/file-roller.xml	(revision 0791bf003f511840f4d1f8c249b9630710187538)
@@ -6,11 +6,11 @@
 
   <!ENTITY file-roller-download-http
-           "&gnome-download-http;/file-roller/&gnome-minor-24;/file-roller-&file-roller-version;.tar.xz">
+           "&gnome-download-http;/file-roller/&gnome-minor-26;/file-roller-&file-roller-version;.tar.xz">
   <!ENTITY file-roller-download-ftp
-           "&gnome-download-ftp;/file-roller/&gnome-minor-24;/file-roller-&file-roller-version;.tar.xz">
-  <!ENTITY file-roller-md5sum        "1e6be71792c7a8e4950297e9fdcf33e7">
+           "&gnome-download-ftp;/file-roller/&gnome-minor-26;/file-roller-&file-roller-version;.tar.xz">
+  <!ENTITY file-roller-md5sum        "47cefbdc155afd4517b6c960d62919e4">
   <!ENTITY file-roller-size          "1.4 MB">
-  <!ENTITY file-roller-buildsize     "35 MB">
-  <!ENTITY file-roller-time          "0.2 SBU">
+  <!ENTITY file-roller-buildsize     "36 MB">
+  <!ENTITY file-roller-time          "0.4 SBU">
 ]>
 
Index: gnome/applications/gnome-calculator.xml
===================================================================
--- gnome/applications/gnome-calculator.xml	(revision 29f2d7b875924db60013dff302a8aae1154c7ffe)
+++ gnome/applications/gnome-calculator.xml	(revision 0791bf003f511840f4d1f8c249b9630710187538)
@@ -6,10 +6,10 @@
 
   <!ENTITY gnome-calculator-download-http
-           "&gnome-download-http;/gnome-calculator/&gnome-minor-24;/gnome-calculator-&gnome-calculator-version;.tar.xz">
+           "&gnome-download-http;/gnome-calculator/3.25/gnome-calculator-&gnome-calculator-version;.tar.xz">
   <!ENTITY gnome-calculator-download-ftp
-           "&gnome-download-ftp;/gnome-calculator/&gnome-minor-24;/gnome-calculator-&gnome-calculator-version;.tar.xz">
-  <!ENTITY gnome-calculator-md5sum        "32a06b7edc33f7e95a0e7818769a729f">
-  <!ENTITY gnome-calculator-size          "1.3 MB">
-  <!ENTITY gnome-calculator-buildsize     "53 MB (with tests)">
+           "&gnome-download-ftp;/gnome-calculator/3.25/gnome-calculator-&gnome-calculator-version;.tar.xz">
+  <!ENTITY gnome-calculator-md5sum        "ef8fa73ca5a4a850ce88555d32ec2104">
+  <!ENTITY gnome-calculator-size          "1.7 MB">
+  <!ENTITY gnome-calculator-buildsize     "44 MB (with tests)">
   <!ENTITY gnome-calculator-time          "0.4 SBU (with tests)">
 ]>
Index: gnome/applications/gnome-color-manager.xml
===================================================================
--- gnome/applications/gnome-color-manager.xml	(revision 29f2d7b875924db60013dff302a8aae1154c7ffe)
+++ gnome/applications/gnome-color-manager.xml	(revision 0791bf003f511840f4d1f8c249b9630710187538)
@@ -6,11 +6,11 @@
 
   <!ENTITY gnome-color-manager-download-http
-           "&gnome-download-http;/gnome-color-manager/&gnome-minor-24;/gnome-color-manager-&gnome-color-manager-version;.tar.xz">
+           "&gnome-download-http;/gnome-color-manager/&gnome-minor-26;/gnome-color-manager-&gnome-color-manager-version;.tar.xz">
   <!ENTITY gnome-color-manager-download-ftp
-           "&gnome-download-ftp;/gnome-color-manager/&gnome-minor-24;/gnome-color-manager-&gnome-color-manager-version;.tar.xz">
-  <!ENTITY gnome-color-manager-md5sum        "47b7f7ef50e9e28f07db14c604ef08c9">
-  <!ENTITY gnome-color-manager-size          "2.7 MB">
-  <!ENTITY gnome-color-manager-buildsize     "25 MB">
-  <!ENTITY gnome-color-manager-time          "0.1 SBU">
+           "&gnome-download-ftp;/gnome-color-manager/&gnome-minor-26;/gnome-color-manager-&gnome-color-manager-version;.tar.xz">
+  <!ENTITY gnome-color-manager-md5sum        "d5d3aba5da3d72d2100060e0a49e9515">
+  <!ENTITY gnome-color-manager-size          "2.5 MB">
+  <!ENTITY gnome-color-manager-buildsize     "23 MB">
+  <!ENTITY gnome-color-manager-time          "less than 0.1 SBU">
 ]>
 
@@ -113,6 +113,8 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr --disable-packagekit &amp;&amp;
-make</userinput></screen>
+<screen><userinput>mkdir build &amp;&amp;
+cd build &amp;&amp;
+meson --prefix=/usr .. &amp;&amp;
+ninja</userinput></screen>
 
     <para>
@@ -124,15 +126,5 @@
     </para>
 
-<screen role="root"><userinput>make install</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <para>
-      <parameter>--disable-packagekit</parameter>: This switch disables the
-      use of PackageKit which isn't suitable for BLFS.
-    </para>
+<screen role="root"><userinput>ninja install</userinput></screen>
 
   </sect2>
Index: gnome/applications/gnome-logs.xml
===================================================================
--- gnome/applications/gnome-logs.xml	(revision 29f2d7b875924db60013dff302a8aae1154c7ffe)
+++ gnome/applications/gnome-logs.xml	(revision 0791bf003f511840f4d1f8c249b9630710187538)
@@ -6,10 +6,10 @@
 
   <!ENTITY gnome-logs-download-http
-           "&gnome-download-http;/gnome-logs/&gnome-minor-24;/gnome-logs-&gnome-logs-version;.tar.xz">
+           "&gnome-download-http;/gnome-logs/&gnome-minor-26;/gnome-logs-&gnome-logs-version;.tar.xz">
   <!ENTITY gnome-logs-download-ftp
-           "&gnome-download-ftp;/gnome-logs/&gnome-minor-24;/gnome-logs-&gnome-logs-version;.tar.xz">
-  <!ENTITY gnome-logs-md5sum        "6dc913951edd0ec8a278501608ca2d4b">
-  <!ENTITY gnome-logs-size          "980 KB">
-  <!ENTITY gnome-logs-buildsize     "13 MB">
+           "&gnome-download-ftp;/gnome-logs/&gnome-minor-26;/gnome-logs-&gnome-logs-version;.tar.xz">
+  <!ENTITY gnome-logs-md5sum        "5e881ce62d8bce5f2f292da4a945e47a">
+  <!ENTITY gnome-logs-size          "996 KB">
+  <!ENTITY gnome-logs-buildsize     "16 MB">
   <!ENTITY gnome-logs-time          "0.1 SBU">
 ]>
Index: gnome/applications/gnome-terminal.xml
===================================================================
--- gnome/applications/gnome-terminal.xml	(revision 29f2d7b875924db60013dff302a8aae1154c7ffe)
+++ gnome/applications/gnome-terminal.xml	(revision 0791bf003f511840f4d1f8c249b9630710187538)
@@ -6,11 +6,11 @@
 
   <!ENTITY gnome-terminal-download-http
-           "&gnome-download-http;/gnome-terminal/&gnome-minor-24;/gnome-terminal-&gnome-terminal-version;.tar.xz">
+           "&gnome-download-http;/gnome-terminal/&gnome-minor-26;/gnome-terminal-&gnome-terminal-version;.tar.xz">
   <!ENTITY gnome-terminal-download-ftp
-           "&gnome-download-ftp;/gnome-terminal/&gnome-minor-24;/gnome-terminal-&gnome-terminal-version;.tar.xz">
-  <!ENTITY gnome-terminal-md5sum        "b1dda9919b4ef8e478094b6ffc9698db">
-  <!ENTITY gnome-terminal-size          "1.9 MB">
-  <!ENTITY gnome-terminal-buildsize     "36 MB">
-  <!ENTITY gnome-terminal-time          "0.3 SBU">
+           "&gnome-download-ftp;/gnome-terminal/&gnome-minor-26;/gnome-terminal-&gnome-terminal-version;.tar.xz">
+  <!ENTITY gnome-terminal-md5sum        "84f0e0a98eed4895f4a5cb6c6d366326">
+  <!ENTITY gnome-terminal-size          "2.0 MB">
+  <!ENTITY gnome-terminal-buildsize     "48 MB">
+  <!ENTITY gnome-terminal-time          "0.4 SBU">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 29f2d7b875924db60013dff302a8aae1154c7ffe)
+++ introduction/welcome/changelog.xml	(revision 0791bf003f511840f4d1f8c249b9630710187538)
@@ -42,7 +42,35 @@
     </listitem>
 -->
+
     <listitem>
       <para>October 28th, 2017</para>
       <itemizedlist>
+        <listitem>
+          <para>[dj] - Update to gnome-logs-3.26.0.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Update to gnome-color-manager-3.26.0.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Update to gnome-calculator-3.25.92.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Update to gnome-terminal-3.26.1.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Update to file-roller-3.26.1.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Remove GtkHTML package.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Update to Evolution-3.26.1.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Update to evince-3.26.0.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Update to evince-3.26.0.</para>
+        </listitem>
         <listitem>
           <para>[dj] - Update to eog-3.26.1.</para>