Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision fdcfc4cf58b48737b13c0380a831927de34a87bd)
+++ introduction/welcome/changelog.xml	(revision 793c1ba06c9c45f7f7a3d31cc469a6d2e61b03d6)
@@ -24,5 +24,5 @@
 
 <listitem><para>February 11th, 2005 [randy]: Added md5sums to Chapter 18, 
-19 and 20 package instructions; changed FTP download URL in NcFTP and Pine 
+19, 20 and 21 package instructions; changed FTP download URL in NcFTP and Pine 
 instructions; added a note about using --enable-yydebug to libpcap 
 instructions.</para></listitem>
Index: server/mail/courier.xml
===================================================================
--- server/mail/courier.xml	(revision fdcfc4cf58b48737b13c0380a831927de34a87bd)
+++ server/mail/courier.xml	(revision 793c1ba06c9c45f7f7a3d31cc469a6d2e61b03d6)
@@ -7,4 +7,5 @@
 <!ENTITY courier-download-http "http://prdownloads.sourceforge.net/courier/courier-&courier-version;.tar.bz2">
 <!ENTITY courier-download-ftp " ">
+<!ENTITY courier-md5sum "639bb3b236914e3b86f287ce3f55264e">
 <!ENTITY courier-size "4.3 MB">
 <!ENTITY courier-buildsize "102 MB">
@@ -39,4 +40,5 @@
 <listitem><para>Download (FTP): 
 <ulink url="&courier-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: &courier-md5sum;</para></listitem>
 <listitem><para>Download size: &courier-size;</para></listitem>
 <listitem><para>Estimated disk space required: 
@@ -50,4 +52,5 @@
 <para><xref linkend="gdbm"/></para>
 </sect4>
+
 <sect4><title>Optional</title>
 <para><xref linkend="mysql"/> or <xref linkend="postgresql"/>, 
@@ -62,6 +65,6 @@
 <xref linkend="gs"/> or <xref linkend="espgs"/>, 
 <ulink url="http://netpbm.sourceforge.net/">Netpbm</ulink> and
-<ulink url="http://alpha.greenie.net/mgetty/">Mgetty+Sendfax</ulink>
-</para></sect4>
+<ulink url="http://alpha.greenie.net/mgetty/">Mgetty+Sendfax</ulink></para>
+</sect4>
 </sect3>
 
Index: server/mail/exim.xml
===================================================================
--- server/mail/exim.xml	(revision fdcfc4cf58b48737b13c0380a831927de34a87bd)
+++ server/mail/exim.xml	(revision 793c1ba06c9c45f7f7a3d31cc469a6d2e61b03d6)
@@ -7,4 +7,5 @@
 <!ENTITY exim-download-http "http://www.exim.org/ftp/exim4/exim-&exim-version;.tar.bz2">
 <!ENTITY exim-download-ftp "ftp://ftp.exim.org/pub/exim/exim4/exim-&exim-version;.tar.bz2">
+<!ENTITY exim-md5sum "f8f646d4920660cb5579becd9265a3bf">
 <!ENTITY exim-size "1.4 MB">
 <!ENTITY exim-buildsize "14.9 MB">
@@ -33,4 +34,6 @@
 <listitem><para>Download (FTP): 
 <ulink url="&exim-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: 
+&exim-md5sum;</para></listitem>
 <listitem><para>Download size: 
 &exim-size;</para></listitem>
@@ -77,11 +80,11 @@
 <command>exim</command> daemon:</para>
 
-<para>If you have Berkeley DB installed, apply
-the following patch:</para>
-
-<screen><userinput><command>patch -Np1 -i ../exim-&exim-version;-db43-1.patch</command></userinput></screen>
-
 <screen><userinput><command>groupadd exim &amp;&amp;
 useradd -d /dev/null -c "Exim Daemon" -g exim -s /bin/false exim</command></userinput></screen>
+
+<para>If you have <application>Berkeley <acronym>DB</acronym></application> 
+installed, apply the following patch:</para>
+
+<screen><userinput><command>patch -Np1 -i ../exim-&exim-version;-db43-1.patch</command></userinput></screen>
 
 <para>Install <application>Exim</application> with the following 
Index: server/mail/postfix.xml
===================================================================
--- server/mail/postfix.xml	(revision fdcfc4cf58b48737b13c0380a831927de34a87bd)
+++ server/mail/postfix.xml	(revision 793c1ba06c9c45f7f7a3d31cc469a6d2e61b03d6)
@@ -7,4 +7,5 @@
 <!ENTITY postfix-download-http "http://www.mirrorspace.org/postfix/official/postfix-&postfix-version;.tar.gz">
 <!ENTITY postfix-download-ftp "ftp://ftp.porcupine.org/mirrors/postfix-release/official/postfix-&postfix-version;.tar.gz">
+<!ENTITY postfix-md5sum "bcaa4aac80595d04c60c72844203a04d">
 <!ENTITY postfix-size "1.9 MB">
 <!ENTITY postfix-buildsize "81 MB">
@@ -38,4 +39,5 @@
 <listitem><para>Download (FTP): <ulink
 url="&postfix-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: &postfix-md5sum;</para></listitem>
 <listitem><para>Download size: &postfix-size;</para></listitem>
 <listitem><para>Estimated disk space required:
@@ -47,14 +49,15 @@
 <sect3><title><application>Postfix</application> dependencies</title>
 <sect4><title>Required</title>
-<para><xref linkend="db"/></para></sect4>
+<para><xref linkend="db"/></para>
+</sect4>
+
 <sect4><title>Optional</title>
-<para>
-<xref linkend="pcre"/>,
+<para><xref linkend="pcre"/>,
 <xref linkend="mysql"/>,
 <xref linkend="postgresql"/>,
 <xref linkend="openldap"/>,
 <xref linkend="openssl"/> and
-<xref linkend="cyrus-sasl"/>
-</para></sect4>
+<xref linkend="cyrus-sasl"/></para>
+</sect4>
 </sect3>
 
@@ -92,6 +95,6 @@
 <screen><userinput><command>patch -p1 &lt; ../pfixtls-0.8.18-2.1.3-0.9.7d/pfixtls.diff</command></userinput></screen>
 
-<para>You will need to pass the following values to the <command>make
-makefiles</command> command:</para>
+<para>You will need to pass the following values to the 
+<command>make makefiles</command> command:</para>
 
 <screen><userinput>CCARGS="-DHAS_SSL -I/usr/include/openssl" \
@@ -213,6 +216,6 @@
 addressed to root can be forwarded to you at the user level. The
 <filename>main.cf</filename> file needs your fully qualified hostname. All of
-these edits can be done with sed commands entered into the console with
-appropriate substitutions of your non-root login name for
+these edits can be done with <command>sed</command> commands entered into the 
+console with appropriate substitutions of your non-root login name for
 <replaceable>[user]</replaceable> and your fully qualified hostname for
 <replaceable>[localhost.localdomain]</replaceable>. You will find the
@@ -245,4 +248,5 @@
 <segmentedlist>
 <segtitle>Installed Programs</segtitle>
+<segtitle>Installed Libraries</segtitle>
 <segtitle>Installed Directories</segtitle>
 
@@ -253,4 +257,5 @@
 postsuper, proxymap, qmgr, qmqpd, sendmail, showq, smtp, smtpd, spawn,
 trivial-rewrite, verify, and virtual</seg>
+<seg>None</seg>
 <seg>/etc/postfix and /usr/share/doc/postfix</seg>
 </seglistitem>
Index: server/mail/qpopper.xml
===================================================================
--- server/mail/qpopper.xml	(revision fdcfc4cf58b48737b13c0380a831927de34a87bd)
+++ server/mail/qpopper.xml	(revision 793c1ba06c9c45f7f7a3d31cc469a6d2e61b03d6)
@@ -7,8 +7,8 @@
 <!ENTITY qpopper-download-http "http://ftp.uni-koeln.de/mail/qpopper&qpopper-version;.tar.gz">
 <!ENTITY qpopper-download-ftp "ftp://ftp.qualcomm.com/eudora/servers/unix/popper/qpopper&qpopper-version;.tar.gz">
+<!ENTITY qpopper-md5sum "e00853280c9e899711f0b0239d3d8f86">
 <!ENTITY qpopper-size "2.2 MB">
 <!ENTITY qpopper-buildsize "9.0 MB">
 <!ENTITY qpopper-time "0.13 SBU">
-
 ]>
 
@@ -25,29 +25,32 @@
 
 <para>The <application>Qpopper</application> package contains a
-<acronym>POP</acronym>3
-mail server.</para>
+<acronym>POP</acronym>3 mail server.</para>
 
 <sect3><title>Package information</title>
 <itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink url="&qpopper-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink url="&qpopper-download-ftp;"/></para></listitem>
+<listitem><para>Download (HTTP): 
+<ulink url="&qpopper-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): 
+<ulink url="&qpopper-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: &qpopper-md5sum;</para></listitem>
 <listitem><para>Download size: &qpopper-size;</para></listitem>
-<listitem><para>Estimated disk space required: &qpopper-buildsize;</para></listitem>
-<listitem><para>Estimated build time: &qpopper-time;</para></listitem></itemizedlist>
+<listitem><para>Estimated disk space required: 
+&qpopper-buildsize;</para></listitem>
+<listitem><para>Estimated build time: 
+&qpopper-time;</para></listitem></itemizedlist>
 </sect3>
 
 <sect3><title><application>Qpopper</application> dependencies</title>
 <sect4><title>Required</title>
-<para>
-<ulink url="../server/mail.html">MTA</ulink>
-</para></sect4>
+<para><ulink url="../server/mail.html">MTA</ulink>
+</para>
+</sect4>
+
 <sect4><title>Optional</title>
-<para>
-<xref linkend="openssl"/>,
+<para><xref linkend="openssl"/>,
 <xref linkend="gdbm"/>,
 <xref linkend="Linux_PAM"/> and
-<xref linkend="mitkrb"/>
-</para></sect4>
-
+<xref linkend="mitkrb"/></para>
+</sect4>
 </sect3>
 
@@ -57,5 +60,6 @@
 <title>Installation of <application>Qpopper</application></title>
 
-<para>Install <application>Qpopper</application> with the following commands:</para>
+<para>Install <application>Qpopper</application> with the following 
+commands:</para>
 
 <screen><userinput><command>./configure --prefix=/usr &amp;&amp;
@@ -65,5 +69,4 @@
 </sect2>
 
-
 <sect2>
 <title>Configuring <application>Qpopper</application></title>
@@ -71,6 +74,7 @@
 <sect3><title>Configuration Information</title>
 
-<para>If you use <command>inetd</command>, the following command will add the qpopper
-entry to <filename>/etc/inetd.conf</filename>:</para>
+<para>If you use <command>inetd</command>, the following command will add the 
+<application>Qpopper</application> entry to 
+<filename>/etc/inetd.conf</filename>:</para>
 
 <screen><userinput><command>echo "pop3 stream tcp nowait root /usr/sbin/popper popper" &gt;&gt; \
@@ -84,6 +88,7 @@
 <filename>inetd.conf</filename> file.</para>
 
-<para>If you use <command>xinetd</command>, the following command will add the qpopper
-entry to <filename>/etc/xinetd.conf</filename>:</para>
+<para>If you use <command>xinetd</command>, the following command will add the 
+<application>Qpopper</application> entry to 
+<filename>/etc/xinetd.conf</filename>:</para>
 
 <screen><userinput><command>cat &gt;&gt; /etc/xinetd.conf &lt;&lt; "EOF"</command>
@@ -101,5 +106,4 @@
 <para>Issue a <command>killall -HUP xinetd</command> to reread the changed
 <filename>xinetd.conf</filename> file.</para>
-
 </sect3>
 
@@ -110,6 +114,5 @@
 
 <para>The <application>Qpopper</application> package contains
-<command>popper</command>.
-</para>
+<command>popper</command>.</para>
 
 </sect2>
@@ -118,5 +121,6 @@
 
 <sect3><title>popper</title>
-<para><command>popper</command> is the <acronym>POP</acronym>3 server daemon.</para></sect3>
+<para><command>popper</command> is the <acronym>POP</acronym>3 server 
+daemon.</para></sect3>
 
 </sect2>
Index: server/mail/sendmail.xml
===================================================================
--- server/mail/sendmail.xml	(revision fdcfc4cf58b48737b13c0380a831927de34a87bd)
+++ server/mail/sendmail.xml	(revision 793c1ba06c9c45f7f7a3d31cc469a6d2e61b03d6)
@@ -7,4 +7,5 @@
 <!ENTITY sendmail-download-ftp "ftp://ftp.sendmail.org/pub/sendmail/sendmail.&sendmail-version;.tar.gz">
 <!ENTITY sendmail-download-http "http://www.sendmail.org/ftp/sendmail.&sendmail-version;.tar.gz">
+<!ENTITY sendmail-md5sum "2809fbf9c8b067947b650d0128928d05">
 <!ENTITY sendmail-size "1.9 MB">
 <!ENTITY sendmail-buildsize "18.8 MB">
@@ -34,4 +35,5 @@
 <listitem><para>Download (FTP): 
 <ulink url="&sendmail-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: &sendmail-md5sum;</para></listitem>
 <listitem><para>Download size: &sendmail-size;</para></listitem>
 <listitem><para>Estimated disk space required: 
@@ -44,6 +46,6 @@
 
 <sect4><title>Required</title>
-<para><xref linkend="db"/> and <xref linkend="procmail"/>
-</para></sect4>
+<para><xref linkend="db"/> and <xref linkend="procmail"/></para>
+</sect4>
 
 <sect4><title>Optional</title>
@@ -55,6 +57,6 @@
 <ulink url="http://www-dev.cites.uiuc.edu/ph/nph/">nph</ulink>, and 
 <xref linkend="gs"/> or <xref linkend="espgs"/> (for creating 
-<acronym>PDF</acronym> documentation)
-</para></sect4>
+<acronym>PDF</acronym> documentation)</para>
+</sect4>
 </sect3>
 
@@ -111,5 +113,5 @@
 packages into the build. Use the example below, which adds support for 
 <application>tcpwrappers</application>, <acronym>SASL</acronym> and 
-Start<acronym>TLS</acronym> as a starting point. Of course, modify it to suit 
+Start<acronym>TLS</acronym>, as a starting point. Of course, modify it to suit 
 your particular needs.</para>
 