Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 74762a50b84ebc14fe02ffac753e953742a6cdd9)
+++ introduction/welcome/changelog.xml	(revision 794a5d8b2d4493c96d961865799cbdc3f67c78c3)
@@ -46,4 +46,8 @@
       <itemizedlist>
         <listitem>
+          <para>[renodr] - Update the gstreamer stack to 1.18.0. Fixes
+          <ulink url="&blfs-ticket-root;14023">#14023</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[ken] - Promote clang in LLVM from Optional to
           Recommended. Add clang as a required dependency for firefox.</para>
Index: multimedia/libdriv/gst10-libav.xml
===================================================================
--- multimedia/libdriv/gst10-libav.xml	(revision 74762a50b84ebc14fe02ffac753e953742a6cdd9)
+++ multimedia/libdriv/gst10-libav.xml	(revision 794a5d8b2d4493c96d961865799cbdc3f67c78c3)
@@ -7,7 +7,7 @@
   <!ENTITY gst10-libav-download-http "&gstreamer-dl;/gst-libav/gst-libav-&gst10-libav-version;.tar.xz">
   <!ENTITY gst10-libav-download-ftp  " ">
-  <!ENTITY gst10-libav-md5sum        "eacebd0136ede3a9bd3672eeb338806b">
-  <!ENTITY gst10-libav-size          "9.0 MB">
-  <!ENTITY gst10-libav-buildsize     "87 MB">
+  <!ENTITY gst10-libav-md5sum        "fe2f07356fa37445837cdde274027117">
+  <!ENTITY gst10-libav-size          "268 KB">
+  <!ENTITY gst10-libav-buildsize     "8.5 MB">
   <!ENTITY gst10-libav-time          "less than 0.1 SBU (Using parallelism=4)">
 ]>
@@ -90,5 +90,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="valgrind"/> and
+      <ulink url="https://pypi.org/project/hotdoc/">hotdoc</ulink> and
       <ulink url="http://gstreamer.freedesktop.org/src/orc/">Orc</ulink>
     </para>
Index: multimedia/libdriv/gst10-plugins-bad.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-bad.xml	(revision 74762a50b84ebc14fe02ffac753e953742a6cdd9)
+++ multimedia/libdriv/gst10-plugins-bad.xml	(revision 794a5d8b2d4493c96d961865799cbdc3f67c78c3)
@@ -8,8 +8,8 @@
            "&gstreamer-dl;/gst-plugins-bad/gst-plugins-bad-&gst10-plugins-bad-version;.tar.xz">
   <!ENTITY gst10-plugins-bad-download-ftp  " ">
-  <!ENTITY gst10-plugins-bad-md5sum        "ccc7404230afddec723bbdb63c89feec">
-  <!ENTITY gst10-plugins-bad-size          "4.7 MB">
-  <!ENTITY gst10-plugins-bad-buildsize     "110 MB (with tests)">
-  <!ENTITY gst10-plugins-bad-time          "0.9 SBU (Using parallelism=4; with tests)">
+  <!ENTITY gst10-plugins-bad-md5sum        "c1b5f2fb2d76ace6a3d04df73a8c72ea">
+  <!ENTITY gst10-plugins-bad-size          "5.4 MB">
+  <!ENTITY gst10-plugins-bad-buildsize     "142 MB (with tests)">
+  <!ENTITY gst10-plugins-bad-time          "1.0 SBU (Using parallelism=4; with tests)">
 ]>
 
@@ -101,5 +101,4 @@
       <xref linkend="fdk-aac"/>,
       <xref linkend="gnutls"/>,
-      <xref linkend="gtk-doc"/>,
       <xref linkend="gtk2"/> or
       <xref linkend="gtk3"/>,
@@ -110,8 +109,11 @@
       <xref linkend="libgudev"/>,
       <xref linkend="libmpeg2"/>,
+      <xref linkend="librsvg"/>,
+      <xref linkend="libsndfile"/>,
       <xref linkend="libssh2"/>,
       <xref linkend="libusb"/>,
       <xref linkend="libvdpau"/>,
       <xref linkend="libwebp"/>,
+      <xref linkend="libxkbcommon"/>,
       <xref linkend="neon"/>,
       <xref linkend="nettle"/>,
@@ -120,4 +122,5 @@
       <xref linkend="opus"/>,
       <xref linkend="qt5"/> (for examples),
+      <xref linkend="sbc"/>,
       <xref linkend="sdl"/>,
       <xref linkend="valgrind"/>,
@@ -126,20 +129,50 @@
       <xref linkend="x265"/>,
       <xref linkend="xorg7-lib"/>,
-      <ulink url="http://bs2b.sourceforge.net/">bs2b</ulink>,
+      <ulink url="https://aomedia.googlesource.com/aom/">aom</ulink>,
+      <ulink url="https://bs2b.sourceforge.net/">bs2b</ulink>,
       <ulink url="https://acoustid.org/chromaprint">Chromaprint</ulink>,
       <ulink url="https://www.xiph.org/daala/">daala</ulink>,
+      <ulink url="https://github.com/kornelski/dssim">dssim</ulink>,
       <ulink url="http://www.speech.cs.cmu.edu/flite/">Flite</ulink>,
+      <ulink url="http://www.fluidsynth.org/">FluidSynth</ulink>,
       <ulink url="https://bitbucket.org/mpyne/game-music-emu/">Game Music Emu</ulink>,
       <ulink url="http://www.quut.com/gsm/">GSM</ulink>,
+      <ulink url="https://pypi.org/project/hotdoc/">hotdoc</ulink>,
       <ulink url="https://www.ladspa.org/">LADSPA</ulink>,
-      <ulink url="http://sourceforge.net/projects/farsight/files/libmimic/">libmimic</ulink>,
-      <ulink url="http://sourceforge.net/projects/libmms/">libmms</ulink>,
-      <ulink url="http://code.google.com/p/musicip-libofa/">libofa</ulink>,
-      <ulink url="http://mjpeg.sourceforge.net/">MJPEG Tools</ulink>,
+      <ulink url="https://github.com/AVnu/libavtp">libavtp</ulink>,
+      <ulink url="https://sourceforge.net/projects/libdc1394/files/libdc1394-2/">libdc1394-2</ulink>,
+      <ulink url="https://www.videolan.org/developers/libdca.html">libdca</ulink>,
+      <ulink url="https://www.libde265.org">libde265</ulink>,
+      <ulink url="https://code.google.com/archive/p/libkate/">libkate</ulink>,
+      <ulink url="https://github.com/Intel-Media-SDK/MediaSDK">libmfx</ulink>,
+      <ulink url="https://sourceforge.net/projects/farsight/files/libmimic/">libmimic</ulink>,
+      <ulink url="https://sourceforge.net/projects/libmms/">libmms</ulink>,
+      <ulink url="https://github.com/Konstanty/libmodplug">libmodplug</ulink>,
+      <ulink url="https://libnice.freedesktop.org/">libnice</ulink>,
+      <ulink url="https://code.google.com/p/musicip-libofa/">libofa</ulink>,
+      <ulink url="https://lib.openmpt.org/libopenmpt/">libopenmpt</ulink>,
+      <ulink url="https://structure.io/openni">libopenni</ulink>,
+      <ulink url="https://github.com/cisco/libsrtp">libsrtp</ulink>,
+      <ulink url="https://drobilla.net/software/lilv">lilv</ulink>,
+      <ulink url="https://github.com/swh/LRDF">LRDF</ulink>,
+      <ulink url="https://github.com/videolabs/libmicrodns">microdns</ulink>,
+      <ulink url="https://mjpeg.sourceforge.net/">MJPEG Tools</ulink>,
       <ulink url="http://kcat.strangesoft.net/openal.html">OpenAL</ulink>,
-      <ulink url="http://gstreamer.freedesktop.org/src/orc/">Orc</ulink>,
-      <ulink url="http://sourceforge.net/projects/opencore-amr/files/vo-aacenc/">VO AAC</ulink>,
-      <ulink url="http://sourceforge.net/projects/opencore-amr/files/vo-amrwbenc/">VO AMRWB</ulink>, and
-      <ulink url="http://zbar.sourceforge.net/">ZBAR</ulink>
+      <ulink url="https://www.openexr.com/">OpenEXR</ulink>,
+      <ulink url="https://www.openh264.org/">OpenH264</ulink>,
+      <ulink url="https://gstreamer.freedesktop.org/src/orc/">Orc</ulink>,
+      <ulink url="https://rtmpdump.mplayerhq.ru/">rtmpdump</ulink>,
+      <ulink url="https://github.com/jart/spandsp">spandsp</ulink>,
+      <ulink url="https://www.srtalliance.com">srt</ulink>,
+      <ulink url="https://github.com/OpenVisualCloud/SVT-HEVC/">svthevcenc</ulink>,
+      <ulink url="https://sourceforge.net/projects/opencore-amr/files/vo-aacenc/">VO AAC</ulink>,
+      <ulink url="https://sourceforge.net/projects/opencore-amr/files/vo-amrwbenc/">VO AMRWB</ulink>,
+      <ulink url="https://vulkan.lunarg.com/sdk/home/">Vulkan</ulink>,
+      <ulink url="https://www.mindwerks.net/projects/wildmidi/">WildMidi</ulink>,
+      <ulink url="https://webkit.org/wpe/">WPE-WebKit</ulink>,
+      <ulink url="https://github.com/Igalia/WPEBackend-fdo">WPEBackend-fdo</ulink>,
+      <ulink url="https://zbar.sourceforge.net/">ZBAR</ulink>,
+      <ulink url="https://zapping.sourceforge.net/ZVBI/index.html/">ZVBI</ulink>, and
+      <ulink url="https://github.com/zxing/zxing">zxing</ulink>
     </para>
 
@@ -158,4 +191,5 @@
       href="../../xincludes/gst10-plugins.xml"/>
 
+<!-- no longer needed!
     <para>
       First, fix <filename>meson.build</filename> so that neon is detected
@@ -164,4 +198,5 @@
 
 <screen><userinput remap="pre">sed -i 's/0.30.99/0.31.99/' ext/neon/meson.build</userinput></screen>
+-->
 
     <para>
@@ -181,6 +216,7 @@
     <para>
       To test the results, issue: <command>ninja test</command>. Several tests
-      need a terminal emulator in a graphical session.  One test, elements_dash_mpd, 
-      is known to fail.
+      need a terminal emulator in a graphical session.  
+      <!--One test, elements_dash_mpd, is known to fail.
+          No longer fails with 1.18.0 -->
     </para>
 
@@ -218,12 +254,13 @@
       <seglistitem>
         <seg>
-          None
+          gst-transcoder-1.0 and
+          playout
         </seg>
         <seg>
           libgstadaptivedemux-1.0.so,
           libgstbadaudio-1.0.so,
-          libgstbadvideo-1.0.so,
           libgstbasecamerabinsrc-1.0.so,
           libgstcodecparsers-1.0.so,
+          libgstcodecs-1.0.so,
           libgstinsertbin-1.0.so,
           libgstisoff-1.0.so,
@@ -231,4 +268,6 @@
           libgstphotography-1.0.so,
           libgstplayer-1.0.so,
+          libgstsctp-1.0.so,
+          libgsttranscoder-1.0.so,
           libgsturidownloader-1.0.so, 
           libgstwayland-1.0.so,
@@ -238,12 +277,42 @@
         <seg>
           /usr/include/gstreamer-1.0/gst/{audio,basecamerabinsrc,codecparsers},
-          /usr/include/gstreamer-1.0/gst/{insertbin,interfaces,is,mpegts},
-          /usr/include/gstreamer-1.0/gst/{player,uridownloader,video,webrtc},
-          /usr/lib/gstreamer-1.0/include, and
-          /usr/share/gtk-doc/html/gst-plugins-bad-{libs,plugins}-1.0
+          /usr/include/gstreamer-1.0/gst/{insertbin,interfaces,isoff,mpegts}, and
+          /usr/include/gstreamer-1.0/gst/{player,sctp,transcoder,uridownloader,webrtc}
         </seg>
       </seglistitem>
     </segmentedlist>
 
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="gst-transcoder-1.0">
+        <term><command>gst-transcoder-1.0</command></term>
+        <listitem>
+          <para>
+            is used to transcode a stream into a different format.
+          </para>
+          <indexterm zone="gst10-plugins-bad gst-transcoder-1.0">
+            <primary sortas="b-gst-transcoder-1.0">gst-transcoder-1.0</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="playout">
+        <term><command>playout</command></term>
+        <listitem>
+          <para>
+            is an example application used to sequentially play a list of
+            audio-video files.
+          </para>
+          <indexterm zone="gst10-plugins-bad playout">
+            <primary sortas="b-playout">playout</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
   </sect2>
 
Index: multimedia/libdriv/gst10-plugins-base.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-base.xml	(revision 74762a50b84ebc14fe02ffac753e953742a6cdd9)
+++ multimedia/libdriv/gst10-plugins-base.xml	(revision 794a5d8b2d4493c96d961865799cbdc3f67c78c3)
@@ -8,8 +8,8 @@
            "&gstreamer-dl;/gst-plugins-base/gst-plugins-base-&gst10-plugins-base-version;.tar.xz">
   <!ENTITY gst10-plugins-base-download-ftp  " ">
-  <!ENTITY gst10-plugins-base-md5sum        "3fdb32823535799a748c1fc14f978e2c">
-  <!ENTITY gst10-plugins-base-size          "3.8 MB">
-  <!ENTITY gst10-plugins-base-buildsize     "93 MB (with tests; without docs)">
-  <!ENTITY gst10-plugins-base-time          "0.8 SBU (Using parallelism=4; with tests; without docs)">
+  <!ENTITY gst10-plugins-base-md5sum        "5ea9dc2692335e03170c3639901c2d83">
+  <!ENTITY gst10-plugins-base-size          "3.0 MB">
+  <!ENTITY gst10-plugins-base-buildsize     "98 MB (with tests)">
+  <!ENTITY gst10-plugins-base-time          "1.0 SBU (Using parallelism=4; with tests)">
 ]>
 
@@ -92,7 +92,9 @@
       <xref linkend="gobject-introspection"/>,
       <xref linkend="iso-codes"/>,
+      <xref linkend="libgudev"/>,
       <xref linkend="libogg"/>,
       <xref linkend="libtheora"/>,
-      <xref linkend="libvorbis"/>, and
+      <xref linkend="libvorbis"/>,
+      <xref linkend="wayland-protocols"/>, and
       <xref linkend="xorg7-lib"/>
    </para>
@@ -102,9 +104,10 @@
       <xref linkend="graphene"/>,
       <xref linkend="gtk3"/> (for examples),
-      <xref linkend="gtk-doc"/>,
       <xref linkend="opus"/>,
       <xref linkend="qt5"/> (for examples),
       <xref linkend="sdl"/>,
+      <xref linkend="sdl2"/>,
       <xref linkend="valgrind"/>,
+      <ulink url="https://pypi.org/project/hotdoc">hotdoc</ulink>,
       <ulink url="http://libvisual.org/">libvisual</ulink>,
       <ulink url="http://gstreamer.freedesktop.org/src/orc/">Orc</ulink>, and
@@ -136,5 +139,4 @@
 meson  --prefix=/usr       \
        -Dbuildtype=release \
-       -Dgtk_doc=disabled  \
        -Dpackage-origin=http://www.linuxfromscratch.org/blfs/view/svn/ \
        -Dpackage-name="GStreamer &gst10-plugins-base-version; BLFS" &amp;&amp;
@@ -186,7 +188,6 @@
         <seg>
           /usr/include/gstreamer-1.0/gst/{allocators,app,audio,fft,gl,pbutils},
-          /usr/include/gstreamer-1.0/gst/{riff,rtp,rtsp,sdp,tag,video},
-          /usr/share/gst-plugins-base, and
-          /usr/share/gtk-doc/html/gst-plugins-base-{libs,plugins}-1.0
+          /usr/include/gstreamer-1.0/gst/{riff,rtp,rtsp,sdp,tag,video}, and
+          /usr/share/gst-plugins-base
         </seg>
       </seglistitem>
Index: multimedia/libdriv/gst10-plugins-good.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-good.xml	(revision 74762a50b84ebc14fe02ffac753e953742a6cdd9)
+++ multimedia/libdriv/gst10-plugins-good.xml	(revision 794a5d8b2d4493c96d961865799cbdc3f67c78c3)
@@ -8,8 +8,8 @@
            "&gstreamer-dl;/gst-plugins-good/gst-plugins-good-&gst10-plugins-good-version;.tar.xz">
   <!ENTITY gst10-plugins-good-download-ftp  " ">
-  <!ENTITY gst10-plugins-good-md5sum        "bd025f8f14974f94b75ac69a9d1b9c93">
-  <!ENTITY gst10-plugins-good-size          "3.7 MB">
-  <!ENTITY gst10-plugins-good-buildsize     "97 MB (with tests)">
-  <!ENTITY gst10-plugins-good-time          "0.5 SBU (Using parallelism=4; with tests)">
+  <!ENTITY gst10-plugins-good-md5sum        "c437bf42bf830bc0f482c7d088fb37a5">
+  <!ENTITY gst10-plugins-good-size          "3.1 MB">
+  <!ENTITY gst10-plugins-good-buildsize     "99 MB (with tests)">
+  <!ENTITY gst10-plugins-good-time          "0.6 SBU (Using parallelism=4; with tests)">
 ]>
 
@@ -109,5 +109,4 @@
       <xref linkend="alsa-oss"/>,
       <xref linkend="gtk3"/> (for examples),
-      <xref linkend="gtk-doc"/>,
       <xref linkend="libdv"/>,
       <xref linkend="pulseaudio"/>,
@@ -119,7 +118,9 @@
       <xref linkend="wayland"/>,
       <ulink url="http://jackaudio.org/">JACK</ulink>,
+      <ulink url="https://pypi.org/project/hotdoc/">hotdoc</ulink>,
       <ulink url="http://caca.zoy.org/wiki/libcaca">libcaca</ulink>,
-      <ulink url="http://sourceforge.net/projects/libraw1394/">libiec61883</ulink>,
-      <ulink url="http://sourceforge.net/projects/libraw1394/">libraw1394</ulink>,
+      <ulink url="https://sourceforge.net/projects/libavc1394/">libavc1394</ulink>,
+      <ulink url="https//sourceforge.net/projects/libraw1394/">libiec61883</ulink>,
+      <ulink url="https//sourceforge.net/projects/libraw1394/">libraw1394</ulink>,
       <ulink url="https://www.icecast.org">libshout</ulink>,
       <ulink url="http://gstreamer.freedesktop.org/src/orc/">Orc</ulink>,
@@ -184,6 +185,5 @@
         </seg>
         <seg>
-          /usr/share/gstreamer-1.0/presets and
-          /usr/share/gtk-doc/html/gst-plugins-good-plugins-1.0
+          /usr/share/gstreamer-1.0/presets
         </seg>
       </seglistitem>
Index: multimedia/libdriv/gst10-plugins-ugly.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-ugly.xml	(revision 74762a50b84ebc14fe02ffac753e953742a6cdd9)
+++ multimedia/libdriv/gst10-plugins-ugly.xml	(revision 794a5d8b2d4493c96d961865799cbdc3f67c78c3)
@@ -8,7 +8,7 @@
            "&gstreamer-dl;/gst-plugins-ugly/gst-plugins-ugly-&gst10-plugins-ugly-version;.tar.xz">
   <!ENTITY gst10-plugins-ugly-download-ftp  " ">
-  <!ENTITY gst10-plugins-ugly-md5sum        "10283ff5ef1e34d462dde77042e329bd">
-  <!ENTITY gst10-plugins-ugly-size          "876 KB">
-  <!ENTITY gst10-plugins-ugly-buildsize     "11 MB (with tests)">
+  <!ENTITY gst10-plugins-ugly-md5sum        "01d3a24152cfd5eb27b1787d44b524c6">
+  <!ENTITY gst10-plugins-ugly-size          "492 KB">
+  <!ENTITY gst10-plugins-ugly-buildsize     "8.8 MB (with tests)">
   <!ENTITY gst10-plugins-ugly-time          "less than 0.1 SBU (with tests)">
 ]>
@@ -95,8 +95,8 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="gtk-doc"/>,
       <xref linkend="libmpeg2"/>,
       <xref linkend="libcdio"/> (for CD-ROM drive access),
       <xref linkend="valgrind"/>,
+      <ulink url="https://pypi.org/project/hotdoc/">hotdoc</ulink>,
       <ulink url="http://packages.debian.org/source/sid/libsidplay">libsidplay</ulink>,
       <ulink url="http://sourceforge.net/projects/opencore-amr/">OpenCore AMR</ulink>,
@@ -160,6 +160,5 @@
         </seg>
         <seg>
-          /usr/share/gstreamer-1.0/presets and
-          /usr/share/gtk-doc/html/gst-plugins-ugly-plugins-1.0
+          /usr/share/gstreamer-1.0/presets
         </seg>
       </seglistitem>
Index: multimedia/libdriv/gstreamer10-vaapi.xml
===================================================================
--- multimedia/libdriv/gstreamer10-vaapi.xml	(revision 74762a50b84ebc14fe02ffac753e953742a6cdd9)
+++ multimedia/libdriv/gstreamer10-vaapi.xml	(revision 794a5d8b2d4493c96d961865799cbdc3f67c78c3)
@@ -7,8 +7,8 @@
   <!ENTITY gstreamer10-vaapi-download-http "&gstreamer-dl;/gstreamer-vaapi/gstreamer-vaapi-&gstreamer-vaapi-version;.tar.xz">
   <!ENTITY gstreamer10-vaapi-download-ftp  " ">
-  <!ENTITY gstreamer10-vaapi-md5sum        "13f7cb6a64bde24e67f563377487dcce">
-  <!ENTITY gstreamer10-vaapi-size          "1.0 MB">
-  <!ENTITY gstreamer10-vaapi-buildsize     "19 MB">
-  <!ENTITY gstreamer10-vaapi-time          "0.1 SBU">
+  <!ENTITY gstreamer10-vaapi-md5sum        "079a3739857e0cf4904afe92659d8a18">
+  <!ENTITY gstreamer10-vaapi-size          "760 KB">
+  <!ENTITY gstreamer10-vaapi-buildsize     "16 MB">
+  <!ENTITY gstreamer10-vaapi-time          "0.2 SBU">
 ]>
 
@@ -77,8 +77,14 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
+      <xref linkend="gtk3"/>,
       <xref linkend="gstreamer10"/>,
       <xref linkend="gst10-plugins-base"/>,
       <xref linkend="gst10-plugins-bad"/>, and
       <xref linkend="libva"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <ulink url="https://pypi.org/project/hotdoc">hotdoc</ulink>
     </para>
 
@@ -104,6 +110,5 @@
 meson  --prefix=/usr       \
        -Dbuildtype=release \
-       -Dpackage-origin=http://www.linuxfromscratch.org/blfs/view/svn/ \
-       -Dpackage-name="GStreamer &gstreamer-vaapi-version; BLFS" &amp;&amp;
+       -Dpackage-origin=http://www.linuxfromscratch.org/blfs/view/svn/ &amp;&amp;
 ninja</userinput></screen>
 
Index: multimedia/libdriv/gstreamer10.xml
===================================================================
--- multimedia/libdriv/gstreamer10.xml	(revision 74762a50b84ebc14fe02ffac753e953742a6cdd9)
+++ multimedia/libdriv/gstreamer10.xml	(revision 794a5d8b2d4493c96d961865799cbdc3f67c78c3)
@@ -7,8 +7,8 @@
   <!ENTITY gstreamer10-download-http "&gstreamer-dl;/gstreamer/gstreamer-&gstreamer10-version;.tar.xz">
   <!ENTITY gstreamer10-download-ftp  " ">
-  <!ENTITY gstreamer10-md5sum        "0e661ed5bdf1d8996e430228d022628e">
-  <!ENTITY gstreamer10-size          "3.2 MB">
-  <!ENTITY gstreamer10-buildsize     "60 MB (with tests; add 36 MB for docs)">
-  <!ENTITY gstreamer10-time          "0.4 SBU (Using parallelism=4; with tests; add 1.5 SBU for docs)">
+  <!ENTITY gstreamer10-md5sum        "25d683630ff8b82b2c878aa3edd3c491">
+  <!ENTITY gstreamer10-size          "2.6 MB">
+  <!ENTITY gstreamer10-buildsize     "60 MB (with tests)">
+  <!ENTITY gstreamer10-time          "0.6 SBU (Using parallelism=4; with tests)">
 ]>
 
@@ -32,5 +32,5 @@
     <para>
       <application>gstreamer</application> is a streaming media framework that
-      enables applications to share a common set of plugins for things like
+      enables applications to share a common set of plugins for tasks such as
       video encoding and decoding, audio encoding and decoding, audio and video
       filters, audio visualisation, web streaming and anything else that
@@ -104,6 +104,8 @@
       <xref linkend="gtk3"/> (for examples),
       <xref linkend="gsl"/>,
-      <xref linkend="gtk-doc"/>,
-      <xref linkend="valgrind"/>, and
+      <xref linkend="valgrind"/>,
+      <ulink url="https://github.com/scop/bash-completion/">bash-completion</ulink>,
+      <ulink url="https://pypi.org/project/hotdoc/">hotdoc</ulink>,
+      <ulink url="https://sourceware.org/elfutils/">libdw</ulink>, and
       <ulink url="http://www.nongnu.org/libunwind/">libunwind</ulink>
     </para>
@@ -127,4 +129,10 @@
 -->
     <para>
+      First, fix a regression in the test suite:
+    </para>
+
+<screen><userinput remap="pre">sed -i "s/leaks.c'/&amp;, not tracer_hooks or not gst_debug/" -i tests/check/meson.build</userinput></screen>
+
+    <para>
       Install <application>gstreamer</application> by running the following
       commands:
@@ -137,5 +145,4 @@
        -Dbuildtype=release \
        -Dgst_debug=false   \
-       -Dgtk_doc=disabled  \
        -Dpackage-origin=http://www.linuxfromscratch.org/blfs/view/svn/ \
        -Dpackage-name="GStreamer &gstreamer10-version; BLFS" &amp;&amp;
@@ -176,5 +183,6 @@
       <seglistitem>
         <seg>
-          gst-inspect-1.0, gst-launch-1.0, gst-stats-1.0, and gst-typefind-1.0
+          gst-inspect-1.0, gst-launch-1.0, gst-stats-1.0, gst-tester-1.0,
+          and gst-typefind-1.0
         </seg>
         <seg>
@@ -183,6 +191,5 @@
         </seg>
         <seg>
-          /usr/{include,lib,libexec}/gstreamer-1.0 and
-          /usr/share/gtk-doc/html/gstreamer{,-libs,-plugins}-1.0
+          /usr/{include,lib,libexec,share}/gstreamer-1.0
         </seg>
       </seglistitem>
@@ -235,4 +242,17 @@
       </varlistentry>
 
+      <varlistentry id="gst-tester-1.0">
+        <term><command>gst-tester-1.0</command></term>
+        <listitem>
+          <para>
+            runs a test plan in TAP compatible format while integrating with
+            the meson test harness.
+          </para>
+          <indexterm zone="gstreamer10 gst-tester-1.0">
+            <primary sortas="b-gst-tester-1.0">gst-tester-1.0</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="gst-typefind-1.0">
         <term><command>gst-typefind-1.0</command></term>
Index: packages.ent
===================================================================
--- packages.ent	(revision 74762a50b84ebc14fe02ffac753e953742a6cdd9)
+++ packages.ent	(revision 794a5d8b2d4493c96d961865799cbdc3f67c78c3)
@@ -957,11 +957,11 @@
 <!ENTITY frei0r-version               "1.7.0">
 <!ENTITY gavl-version                 "1.4.0">
-<!ENTITY gstreamer10-version          "1.16.2">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-base-version   "1.16.2">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-good-version   "1.16.2">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-bad-version    "1.16.2">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-ugly-version   "1.16.2">  <!-- Even minors only -->
-<!ENTITY gst10-libav-version          "1.16.2">  <!-- Even minors only -->
-<!ENTITY gstreamer-vaapi-version      "1.16.2">  <!-- Even minors only -->
+<!ENTITY gstreamer10-version          "1.18.0">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-base-version   "1.18.0">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-good-version   "1.18.0">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-bad-version    "1.18.0">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-ugly-version   "1.18.0">  <!-- Even minors only -->
+<!ENTITY gst10-libav-version          "1.18.0">  <!-- Even minors only -->
+<!ENTITY gstreamer-vaapi-version      "1.18.0">  <!-- Even minors only -->
 <!ENTITY icedtea-sound-version        "1.0.1">
 <!ENTITY id3lib-version               "3.8.3">