Index: xsoft/office/libreoffice.xml
===================================================================
--- xsoft/office/libreoffice.xml	(revision 63ba59051a809b758d95fded82b84393e03c605c)
+++ xsoft/office/libreoffice.xml	(revision 799e9afb602eb620c76a9bb5ab64784fd3897ae1)
@@ -8,21 +8,21 @@
 
   <!ENTITY libreoffice-core-download-http "&libreoffice-dl;/libreoffice-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-core-md5sum        "eb44cc33bb9331db4c1b6ae0b03fff9f">
-  <!ENTITY libreoffice-core-size          "118 MB">
+  <!ENTITY libreoffice-core-md5sum        "de0d9322f3aaeb20abd5e06c5c0972bb">
+  <!ENTITY libreoffice-core-size          "145 MB">
 
   <!ENTITY libreoffice-dict-download-http "&libreoffice-dl;/libreoffice-dictionaries-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-dict-md5sum        "8ac6a48b78c34f52e8bf43f29cf14bfe">
+  <!ENTITY libreoffice-dict-md5sum        "cd27ec060c68079a13abf0984dbbf5fa">
   <!ENTITY libreoffice-dict-size          "36 MB">
 
   <!ENTITY libreoffice-help-download-http "&libreoffice-dl;/libreoffice-help-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-help-md5sum        "867c10167b05ba19162b78032405524b">
+  <!ENTITY libreoffice-help-md5sum        "89d9da0ff2d5ea07f8c30c680fee2b0a">
   <!ENTITY libreoffice-help-size          "1.8 MB">
 
   <!ENTITY libreoffice-translations-download-http "&libreoffice-dl;/libreoffice-translations-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-translations-md5sum        "6bcd61a3f977f78c64b1eaa13a40524c">
-  <!ENTITY libreoffice-translations-size          "122 MB">
-
-  <!ENTITY libreoffice-buildsize          "4.0 GB (423 MB installed) - 9.6 GB (528 MB installed), with translations">
-  <!ENTITY libreoffice-time               "139 SBU - 165 SBU, with translations">
+  <!ENTITY libreoffice-translations-md5sum        "8e2f7905a0f827f655a1e21d93c6ddf7">
+  <!ENTITY libreoffice-translations-size          "121 MB">
+
+  <!ENTITY libreoffice-buildsize          "8.23 G,(497 MB installed) with translations">
+  <!ENTITY libreoffice-time               "144.3 SBU, with translations">
 ]>
 
@@ -275,9 +275,9 @@
     </para>
 
-<screen><userinput>install -dm755 src &amp;&amp;
+<screen><userinput>install -dm755 external/tarballs &amp;&amp;
 
 tar -xf ../libreoffice-dictionaries-&libreoffice-dlversion;.tar.xz --no-overwrite-dir --strip-components=1 &amp;&amp;
-ln -sfv ../../libreoffice-dictionaries-&libreoffice-dlversion;.tar.xz src/ &amp;&amp;
-ln -sfv ../../libreoffice-help-&libreoffice-dlversion;.tar.xz src/</userinput></screen>
+ln -sfv ../../libreoffice-dictionaries-&libreoffice-dlversion;.tar.xz external/tarballs/ &amp;&amp;
+ln -sfv ../../libreoffice-help-&libreoffice-dlversion;.tar.xz external/tarballs/</userinput></screen>
 
     <para>
@@ -285,5 +285,5 @@
     </para>
 
-<screen><userinput>ln -sfv ../../libreoffice-translations-&libreoffice-dlversion;.tar.xz src/</userinput></screen>
+<screen><userinput>ln -sfv ../../libreoffice-translations-&libreoffice-dlversion;.tar.xz external/tarballs/</userinput></screen>
 
     <note>
@@ -318,4 +318,9 @@
     -i bin/distro-install-desktop-integration        &amp;&amp;
 sed -e "/distro-install-file-lists/d" -i Makefile.in &amp;&amp;
+
+sed -e "/distro-install-file-lists/d"           \
+    -e "s:fetch_Download_item:&amp;_unchecked:" \
+    -e "/fetch_Download_item/s:,no-check::"     \
+   -i Makefile.in                                  &amp;&amp;
 
 chmod -v +x bin/unpack-sources                     &amp;&amp;
@@ -337,5 +342,4 @@
              --enable-release-build      \
              --enable-python=system      \
-             --with-system-boost         \
              --with-system-clucene       \
              --with-system-cairo         \
@@ -401,5 +405,6 @@
       <command>sed -e ...</command>: First sed prevents compression of the
       manual pages, the second one prevents a script that causes install to
-      fail from running and the third one fixes the unpack script.
+      fail from running, the third one fixes the download location
+      and the fourth one fixes the unpack script.
     </para>
 