Index: general.ent
===================================================================
--- general.ent	(revision 2f5888f01b8c2cdcdd7a6f73b5d282e594fca015)
+++ general.ent	(revision 800c9c339a40f2a5d92a191ca2272d3d9780c038)
@@ -1,3 +1,3 @@
-<!ENTITY day          "11">
+<!ENTITY day          "12">
 <!ENTITY month        "09">
 <!ENTITY year         "2005">
@@ -141,5 +141,5 @@
 <!ENTITY doxygen-version              "1.4.4">
 <!ENTITY expect-version               "5.43.0">
-<!ENTITY gcc-version                  "3.4.4">
+<!ENTITY gcc-version                  "4.0.1">
 <!ENTITY gcc3-version                 "3.3.6">
 <!ENTITY guile-version                "1.6.7">
Index: general/prog/gcc.xml
===================================================================
--- general/prog/gcc.xml	(revision 2f5888f01b8c2cdcdd7a6f73b5d282e594fca015)
+++ general/prog/gcc.xml	(revision 800c9c339a40f2a5d92a191ca2272d3d9780c038)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY gcc-download-http  "http://mirrors.rcn.net/pub/sourceware/gcc/releases/gcc-&gcc-version;/gcc-&gcc-version;.tar.bz2">
+  <!ENTITY gcc-download-http  "http://ftp.gnu.org/gnu/gcc/gcc-&gcc-version;/gcc-&gcc-version;.tar.bz2">
   <!ENTITY gcc-download-ftp   "ftp://mirrors.rcn.net/pub/sourceware/gcc/releases/gcc-&gcc-version;/gcc-&gcc-version;.tar.bz2">
-  <!ENTITY gcc-md5sum         "b594ff4ea4fbef4ba9220887de713dfe">
-  <!ENTITY gcc-size           "27.5 MB">
-  <!ENTITY gcc-buildsize      "1.6 GB">
-  <!ENTITY gcc-time           "46 SBU (build, test and install all compilers)">
+  <!ENTITY gcc-md5sum         "947416e825a877a0d69489be1be43be1">
+  <!ENTITY gcc-size           "31.7 MB">
+  <!ENTITY gcc-buildsize      "2.2 GB">
+  <!ENTITY gcc-time           "67 SBU (build, test and install all compilers)">
 
   <!ENTITY gnat-download-http "http://anduin.linuxfromscratch.org/sources/BLFS/SVN/F-H/gnat-3.15p-i686-pc-redhat71-gnu-bin.tar.bz2">
@@ -31,5 +31,5 @@
 
   <indexterm zone="gcc">
-    <primary sortas="a-gcc-3-4">GCC-&gcc-version;</primary>
+    <primary sortas="a-gcc-4-0">GCC-&gcc-version;</primary>
   </indexterm>
 
@@ -38,8 +38,29 @@
 
     <para>The <application>GCC</application> package contains GNU compilers.
-    This is useful for compiling programs written in <application>C</application>,
-    <application>C++</application>, <application>Fortran</application>,
-    <application>Java</application>, <application>Objective C</application> and
-    <application>Ada</application>.</para>
+    This package is useful for compiling programs written in C, C++, Fortran,
+    Java, Objective C and Ada. Also included is GNU Treelang. Treelang is a
+    sample language, useful only to help people understand how to implement a
+    new language front end to GCC. It is not a useful language in itself other
+    than as an example or basis for building a new language. Therefore only
+    language developers are likely to have an interest in it.</para>
+
+    <note>
+      <para>The Fortran compiler included with the
+      <application>GCC</application>-4.x package now aims to be conformant
+      with the Fortran 95 standard, not the Fortran 77 standard as all previous
+      versions of <application>GCC</application> have been. Please note the
+      following paragraph copied directly from the
+      <application>GCC</application>-&gcc-version; <command>gfortran</command>
+      man page.</para>
+
+      <para><quote>Gfortran is not yet a fully conformant Fortran 95 compiler.
+      It can generate code for most constructs and expressions, but work
+      remains to be done. In particular, there are known deficiencies with
+      ENTRY, NAMELIST, and sophisticated use of MODULES, POINTERS and DERIVED
+      TYPES. For those whose Fortran codes conform to either the Fortran 77
+      standard or the GNU Fortran 77 language, we recommend to use
+      <command>g77</command> from <application>GCC</application>
+      3.4.</quote></para>
+    </note>
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -65,4 +86,5 @@
     </itemizedlist>
 
+<!--
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     <itemizedlist spacing='compact'>
@@ -76,4 +98,5 @@
       </listitem>
     </itemizedlist>
+-->
 
     <bridgehead renderas="sect3">GCC Dependencies</bridgehead>
@@ -81,4 +104,9 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para><xref linkend="dejagnu"/></para>
+
+    <bridgehead renderas="sect4">Optional (Required to Build the Fortran
+    Compiler)</bridgehead>
+    <para><xref linkend="gmp"/> and
+    <ulink url="http://www.mpfr.org/">MPFR</ulink></para>
 
     <note>
@@ -89,5 +117,5 @@
     </note>
 
-    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <bridgehead renderas="sect3">GNAT-3.15 Package Information</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>
@@ -133,7 +161,8 @@
     <para>In response to the questions asked by the <command>doconfig</command>
     script, enter <userinput>3</userinput> in response to the first question
-    and <userinput>/opt/gnat</userinput> in response to the second question.</para>
-
-    <para>To finish the install, run the following command as the
+    and <userinput>/opt/gnat</userinput> in response to the second
+    question.</para>
+
+    <para>To finish the installation, run the following command as the
     <systemitem class="username">root</systemitem> user:</para>
 
@@ -151,6 +180,7 @@
 
     <para>Prepare to compile <application>GCC</application> by placing the
-    <application>GNAT</application> <command>gcc</command> at the beginning of
-    the <envar>PATH</envar> variable by using the following commands:</para>
+    <application>GNAT</application> version of <command>gcc</command> at the
+    beginning of the <envar>PATH</envar> variable by using the following
+    commands:</para>
 
 <screen><userinput>PATH_HOLD=$PATH &amp;&amp;
@@ -167,6 +197,7 @@
     <important>
       <para>The installation process may overwrite your existing
-      <application>GCC</application> compiler and libraries. It
-      is highly recommended that you have the <application>Tcl</application>,
+      <application>GCC</application> <command>gcc</command> and
+      <command>c++</command> compilers and libraries. It is highly recommended
+      that you have the <application>Tcl</application>,
       <application>Expect</application> and <application>DejaGnu</application>
       packages installed before beginning the build so you can run the full
@@ -177,22 +208,26 @@
       test results with those found at
       <ulink url="http://gcc.gnu.org/ml/gcc-testresults/"/>. There's also an
-      i686 platform test result produced by an LFS-SVN-20050730 system at
-      <ulink url="http://linuxfromscratch.org/~randy/gcc344_test.txt"/>. You
+      i686 platform test result produced by an LFS-SVN-20050831 system at
+      <ulink url="http://linuxfromscratch.org/~randy/gcc401_test.txt"/>. You
       may also want to refer to the information found in the
-      <application>GCC</application>-Pass 2 section of Chapter 5 in the LFS book
-      (<ulink url="&lfs-root;/chapter05/gcc-pass2.html"/>).</para>
+      <application>GCC</application>-Pass 2 section of Chapter 5 in the LFS
+      book (<ulink url="&lfs-root;/chapter05/gcc-pass2.html"/>). Bottom line
+      is that this version of <application>GCC</application> should exhibit
+      no errors other than six errors in the
+      <filename class='libraryfile'>libmudflap</filename> tests.</para>
     </important>
 
-<screen><userinput>patch -Np1 -i ../gcc-&gcc-version;-no_fixincludes-1.patch &amp;&amp;
-patch -Np1 -i ../gcc-&gcc-version;-linkonce-1.patch &amp;&amp;
-sed -i 's/install_to_$(INSTALL_DEST) //' libiberty/Makefile.in &amp;&amp;
+<screen><userinput>sed -i 's/install_to_$(INSTALL_DEST) //' libiberty/Makefile.in &amp;&amp;
 mkdir ../gcc-build &amp;&amp;
 cd ../gcc-build &amp;&amp;
-../gcc-&gcc-version;/configure --prefix=/usr --libexecdir=/usr/lib \
-    --enable-shared --enable-threads=posix --enable-__cxa_atexit \
-    --enable-clocale=gnu --enable-languages=c,c++,objc,f77,ada,java &amp;&amp;
+../gcc-&gcc-version;/configure \
+    --prefix=/usr \
+    --libexecdir=/usr/lib \
+    --enable-shared \
+    --enable-threads=posix \
+    --enable-__cxa_atexit \
+    --enable-clocale=gnu \
+    --enable-languages=c,c++,objc,f95,ada,java,treelang &amp;&amp;
 make bootstrap &amp;&amp;
-make -C gcc gnatlib-shared &amp;&amp;
-make -C gcc gnattools &amp;&amp;
 make -k check &amp;&amp;
 ../gcc-&gcc-version;/contrib/test_summary</userinput></screen>
@@ -203,5 +238,4 @@
 ln -v -sf ../usr/bin/cpp /lib &amp;&amp;
 ln -v -sf gcc /usr/bin/cc &amp;&amp;
-ln -v -sf g77 /usr/bin/f77 &amp;&amp;
 chown -v -R root:root \
     /usr/lib/gcc/i686-pc-linux-gnu/&gcc-version;/include &amp;&amp;
@@ -217,17 +251,4 @@
 <screen role="root"><userinput>ln -v -sf `find /usr/lib/gcc -name ffitarget.h` /usr/include</userinput></screen>
 
-<!--
-    <para>There is a bug in the installation of the
-    <filename class='libraryfile'>libffi</filename> interface headers. The
-    architecture specific <filename>ffitarget.h</filename> file is not installed.
-    If you included Java as one of the installed languages, install the missing
-    file using the command below. Substitute for the
-    <replaceable>[arch]</replaceable> in the command with the appropriate
-    directory path for your system.</para>
-
-<screen role="root"><userinput>install -v -m644 ../gcc-&gcc-version;/libffi/src/<replaceable>[arch]</replaceable>/ffitarget.h \
-    /usr/include</userinput></screen>
--->
-
     <para>As the <systemitem class="username">root</systemitem> user, remove the
     <application>GNAT</application> installation:</para>
@@ -241,4 +262,5 @@
 unset PATH_HOLD</userinput></screen>
 
+<!--
     <note>
       <para>Some of the <application>Java</application> programs installed by
@@ -252,4 +274,5 @@
       <envar>PATH</envar> variable.</para>
     </note>
+-->
 
   </sect2>
@@ -259,7 +282,7 @@
 
     <para><command>sed -i 's/install_to_$(INSTALL_DEST) //'
-    libiberty/Makefile.in</command>: This command suppresses the installation of
-    <filename class='libraryfile'>libiberty.a</filename> as the version provided
-    by <application>Binutils</application> is used instead.</para>
+    libiberty/Makefile.in</command>: This command suppresses the installation
+    of <filename class='libraryfile'>libiberty.a</filename> as the version
+    provided by <application>Binutils</application> is used instead.</para>
 
     <para><command>mkdir ../gcc-build; cd ../gcc-build</command>: The
@@ -268,5 +291,5 @@
 
     <para><parameter>--enable-shared --enable-threads=posix
-    --enable-__cxa_atexit</parameter>: These commands are required to build
+    --enable-__cxa_atexit</parameter>: These parameters are required to build
     the <application>C++</application> libraries to published standards.</para>
 
@@ -274,8 +297,10 @@
     failsafe for incomplete locale data.</para>
 
-    <para><parameter>--enable-languages=c,c++,objc,f77,ada,java</parameter>:
+    <para>
+    <parameter>--enable-languages=c,c++,objc,f95,ada,java,treelang</parameter>:
     This command identifies which languages to build. You may modify this command
     to remove undesired languages.</para>
 
+<!--
     <para><command>make -C gcc gnatlib-shared</command>: This command builds the
     Ada shared and static libraries. Skip this step if you have not enabled
@@ -285,29 +310,32 @@
     Ada development tools and binaries. Skip this step if you have not enabled
     Ada as one of the languages.</para>
+-->
 
     <para><command>make -k check</command>: This command runs the test suite
-    without stopping should any errors be encountered.</para>
+    without stopping if any errors are encountered.</para>
 
     <para><command>../gcc-&gcc-version;/contrib/test_summary</command>: This
     command will produce a summary of the test suite results. You can append
     <command>| grep -A7 Summ</command> to the command to produce an even more
-    condensed version of the summary. You may also wish to redirect the output to
-    a file for review and comparison later on.</para>
-
-    <para><command>ln -sf ../usr/bin/cpp /lib</command>: This command creates a
-    link to the C PreProcessor as some packages expect it to be installed in the
-    <filename class='directory'>/lib</filename> directory.</para>
-
-    <para><command>ln -sf gcc /usr/bin/cc; ln -sf g77 /usr/bin/f77</command>:
-    These links are created as some packages refer to the C and Fortran compilers
-    using an alternate name.</para>
-
-    <para><command>chown -R root:root /usr/lib/gcc/i686-pc-linux-gnu/...</command>:
+    condensed version of the summary. You may also wish to redirect the output
+    to a file for review and comparison later on.</para>
+
+    <para><command>ln -v -sf ../usr/bin/cpp /lib</command>: This command
+    creates a link to the C PreProcessor as some packages expect it to be
+    installed in the <filename class='directory'>/lib</filename>
+    directory.</para>
+
+    <para><command>ln -v -sf gcc /usr/bin/cc</command>: This link is created as
+    some packages refer to the C compiler using an alternate name.</para>
+
+    <para><command>chown -v -R root:root
+    /usr/lib/gcc/i686-pc-linux-gnu/...</command>:
     If the package is built by a user other than root, the ownership of the
     installed <filename class='directory'>include</filename> and
     <filename class='directory'>adalib</filename> directories (and their
-    contents) will be incorrect. These commands change the ownership to
-    root:root. Omit the command changing the Ada directories if you did not
-    include Ada as one of the installed languages.</para>
+    contents) will be incorrect. These commands change the ownership to the
+    <systemitem class="username">root</systemitem> user and group . Omit the
+    command changing the Ada directories if you did not include Ada as one of
+    the installed languages.</para>
 
   </sect2>
@@ -322,18 +350,29 @@
 
       <seglistitem>
-        <seg>addr2name.awk, cc, c++, cpp, f77, g++, g77, gcc, gccbug, gcj, gcjh, gcov,
-        gij, gnat, gnatbind, gnatbl, gnatchop, gnatclean, gnatfind, gnatkr, gnatlink,
-        gnatls, gnatmake, gnatname, gnatprep, gnatxref, gpr2make, gprcmd, grepjar,
-        jar, jcf-dump, jv-convert, jv-scan, rmic, rmiregistry and architecture
-        specific names for c++, g++, gcc, gcc-&gcc-version;, gcj, and gcjh</seg>
-        <seg>lib-org-w3c-dom.[so,a], lib-org-xml-sax.[so,a], libffi-2.00-beta.so,
-        libffi.[so,a], libfrtbegin.a, libg2c.[so,a], libgcc_s.so, libgcj.[so,a],
-        libobjc.[so,a], libstdc++.[so.6,a], libsupc++.a, and numerous other run-time
-        libraries and executables in /usr/lib/gcc</seg>
-        <seg>/usr/include/c++, /usr/include/gcj, /usr/include/gnu, /usr/include/java,
-        /usr/include/javax, /usr/lib/gcc, /usr/lib/security, /usr/share/gnat, and
-        /usr/share/java</seg>
+        <seg>addr2name.awk, fastjar, gcj, gcj-dbtool,gcjh, gfortran, gij,
+        gjnih, gnat, gnatbind, gnatbl, gnatchop, gnatclean, gnatfind, gnatkr,
+        gnatlink, gnatls, gnatmake, gnatname, gnatprep, gnatxref, gprmake,
+        grepjar, grmic, grmiregistry, gtreelang, jcf-dump, jv-convert, jv-scan
+        and architecture specific names for gcj and gcjh</seg>
+        <seg>libffi.[so,a], libgcj.[so,a], libgfortran.[so,a],
+        libgfortranbegin.a, libgij.[so,a], libobjc.[so,a] and numerous other
+        run-time libraries and executables in /usr/lib/gcc</seg>
+        <seg>/usr/include/c++/4.0.1/gcj,
+             /usr/include/c++/4.0.1/gnu,
+             /usr/include/c++/4.0.1/java,
+             /usr/include/c++/4.0.1/javax,
+             /usr/include/c++/4.0.1/org,
+             /usr/lib/gcc/i686-pc-linux-gnu/4.0.1/adainclude,
+             /usr/lib/gcc/i686-pc-linux-gnu/4.0.1/adalib,
+             /usr/lib/gcj-4.0.1,
+             /usr/lib/security
+             and /usr/share/java</seg>
       </seglistitem>
     </segmentedlist>
+
+    <para>Some program and library names and descriptions are not listed here,
+    but can be found at
+    <ulink url="&lfs-root;/chapter06/gcc.html#contents-gcc"/> as they were
+    initially installed during the building of LFS.</para>
 
     <variablelist>
@@ -342,7 +381,4 @@
       <?dbhtml list-presentation="table"?>
 
-      <para>Some program and library descriptions are not listed here, but can be
-      found at <ulink url="&lfs-root;/chapter06/gcc.html#contents-gcc"/>.</para>
-
       <varlistentry id="addr2name.awk">
         <term><command>addr2name.awk</command></term>
@@ -355,22 +391,10 @@
       </varlistentry>
 
-      <varlistentry id="f77">
-        <term><command>f77</command></term>
-        <listitem>
-          <para>is a symlink to <command>g77</command>, created for
-          compatibility purposes.</para>
-          <indexterm zone="gcc f77">
-            <primary sortas="g-f77">f77</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="g77">
-        <term><command>g77</command></term>
-        <listitem>
-          <para>is the <application>Fortran</application> compiler invoked by
-          <command>gcc</command>.</para>
-          <indexterm zone="gcc g77">
-            <primary sortas="b-g77">g77</primary>
+      <varlistentry id="fastjar-gcc">
+        <term><command>fastjar</command></term>
+        <listitem>
+          <para>is an archive tool for <application>Java</application> archives.</para>
+          <indexterm zone="gcc fastjar-gcc">
+            <primary sortas="b-fastjar">fastjar</primary>
           </indexterm>
         </listitem>
@@ -388,4 +412,15 @@
       </varlistentry>
 
+      <varlistentry id="gcj-dbtool">
+        <term><command>gcj-dbtool</command></term>
+        <listitem>
+          <para>is a tool for creating and manipulating class file mapping
+          databases.</para>
+          <indexterm zone="gcc gcj-dbtool">
+            <primary sortas="b-gcj-dbtool">gcj-dbtool</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="gcjh">
         <term><command>gcjh</command></term>
@@ -399,4 +434,15 @@
       </varlistentry>
 
+      <varlistentry id="gfortran">
+        <term><command>gfortran</command></term>
+        <listitem>
+          <para>is the <application>Fortran</application> compiler invoked by
+          <command>gcc</command>.</para>
+          <indexterm zone="gcc gfortran">
+            <primary sortas="b-gfortran">gfortran</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="gij">
         <term><command>gij</command></term>
@@ -410,4 +456,15 @@
       </varlistentry>
 
+      <varlistentry id="gjnih">
+        <term><command>gjnij</command></term>
+        <listitem>
+          <para>is used to generate JNI header files from class files. Running
+          it is equivalent to running <command>gcjh -jni</command>.</para>
+          <indexterm zone="gcc gjnih">
+            <primary sortas="b-gjnih">gjnih</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="gnat">
         <term><command>gnat</command></term>
@@ -545,24 +602,11 @@
       </varlistentry>
 
-      <varlistentry id="gpr2make">
-        <term><command>gpr2make</command></term>
+      <varlistentry id="gprmake">
+        <term><command>gprmake</command></term>
         <listitem>
           <para>is a tool used to create <filename>Makefile</filename>s that
           support compilation by multiple languages.</para>
-          <indexterm zone="gcc gpr2make">
-            <primary sortas="b-gpr2make">gpr2make</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="gprcmd">
-        <term><command>gprcmd</command></term>
-        <listitem>
-          <para>is a utility used by <filename>Makefile.generic</filename> to
-          handle multi-language builds. It provides a set of commands so that the
-          <filename>Makefile</filename>s do not need to depend on Unix utilities not
-          available on all targets.</para>
-          <indexterm zone="gcc gprcmd">
-            <primary sortas="b-gprcmd">gprcmd</primary>
+          <indexterm zone="gcc gprmake">
+            <primary sortas="b-gprmake">gprmake</primary>
           </indexterm>
         </listitem>
@@ -579,10 +623,39 @@
       </varlistentry>
 
-      <varlistentry id="jar-gcc">
-        <term><command>jar</command></term>
-        <listitem>
-          <para>is an archive tool for <application>Java</application> archives.</para>
-          <indexterm zone="gcc jar-gcc">
-            <primary sortas="b-jar">jar</primary>
+      <varlistentry id="grmic-gcc">
+        <term><command>grmic</command></term>
+        <listitem>
+          <para>generates stubs for Remote Method Invocation.</para>
+          <indexterm zone="gcc grmic-gcc">
+            <primary sortas="b-grmic">grmic</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="grmiregistry-gcc">
+        <term><command>grmiregistry</command></term>
+        <listitem>
+          <para> starts a remote object registry on the current host.</para>
+          <indexterm zone="gcc grmiregistry-gcc">
+            <primary sortas="b-grmiregistry">grmiregistry</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gtreelang">
+        <term><command>gtreelang</command></term>
+        <listitem>
+          <para>is largely a cut down version of C, designed to showcase the
+          features of the <application>GCC</application> code generation back
+          end. Only those features that are directly supported by the
+          <application>GCC</application> code generation back end are
+          implemented. Features are implemented in a manner which is easiest
+          and clearest to implement. Not all or even most code generation back
+          end features are implemented. The intention is to add features
+          incrementally until most features of the
+          <application>GCC</application> back end are implemented in
+          Treelang.</para>
+          <indexterm zone="gcc gtreelang">
+            <primary sortas="b-gtreelang">gtreelang</primary>
           </indexterm>
         </listitem>
@@ -621,24 +694,4 @@
       </varlistentry>
 
-      <varlistentry id="rmic-gcc">
-        <term><command>rmic</command></term>
-        <listitem>
-          <para>generates stubs for Remote Method Invocation.</para>
-          <indexterm zone="gcc rmic-gcc">
-            <primary sortas="b-rmic">rmic</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="rmiregistry-gcc">
-        <term><command>rmiregistry</command></term>
-        <listitem>
-          <para> starts a remote object registry on the current host.</para>
-          <indexterm zone="gcc rmiregistry-gcc">
-            <primary sortas="b-rmiregistry">rmiregistry</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
     </variablelist>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 2f5888f01b8c2cdcdd7a6f73b5d282e594fca015)
+++ introduction/welcome/changelog.xml	(revision 800c9c339a40f2a5d92a191ca2272d3d9780c038)
@@ -43,4 +43,13 @@
 
     <listitem>
+      <para>September 12th, 2005</para>
+      <itemizedlist>
+        <listitem>
+          <para>[randy] - Updated to GCC-4.0.1.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>September 11th, 2005</para>
       <itemizedlist>
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision 2f5888f01b8c2cdcdd7a6f73b5d282e594fca015)
+++ introduction/welcome/credits.xml	(revision 800c9c339a40f2a5d92a191ca2272d3d9780c038)
@@ -218,11 +218,11 @@
         <para>ALSA Tools, Apache Ant, Cyrus-SASL, DejaGnu, desktop-file-utils,
         DocBook DSSSL Stylesheets, DocBook-utils, Ethereal, Evolution Data
-        Server, Exim (many additions), Expect, FOP, FreeTTS, FriBidi,
-        gnome-audio, gnome-backgrounds, gnome-menus, GNOME Doc Utils, GnuCash
-        (many additions), Heimdal, HTML Tidy, JadeTeX, Java Access Bridge,
-        LessTif (rewrite), libexif, libgail-gnome, libgnomecups, MPlayer
-        (extensive overhaul), Other Programming Tools, PDL, Perl Modules,
-        pilot-link, Samba 3 (many additions), Shadow (rewrite), SANE (original
-        instructions by Alex Kloss), SLIB, Stunnel, Sysstat,
+        Server, Exim (many additions), Expect, FOP, FreeTTS, FriBidi, GCC
+        (rewrite), gnome-audio, gnome-backgrounds, gnome-menus, GNOME Doc
+        Utils, GnuCash (many additions), Heimdal, HTML Tidy, JadeTeX, Java
+        Access Bridge, LessTif (rewrite), libexif, libgail-gnome, libgnomecups,
+        MPlayer (extensive overhaul), Other Programming Tools, PDL, Perl
+        Modules, pilot-link, Samba 3 (many additions), Shadow (rewrite), SANE
+        (original instructions by Alex Kloss), SLIB, Stunnel, Sysstat,
         system-tools-backends and unixODBC:
         <emphasis>Randy McMurchy</emphasis></para>
@@ -292,6 +292,6 @@
 
       <listitem>
-        <para>fontconfig, gcc, gcc2, jdk, mozilla, nas, openoffice, ispell,
-        nail, ImageMagick, hd2u, STLport, tcl, tk and bind-utils:
+        <para>fontconfig, gcc, jdk, mozilla, nas, openoffice, ispell,
+        nail, ImageMagick, hd2u, tcl, tk and bind-utils:
         <emphasis>Tushar Teredesai</emphasis></para>
       </listitem>