Index: general.ent
===================================================================
--- general.ent	(revision 2435bae71456c448dc75b37fbd62d585f4462321)
+++ general.ent	(revision 0801c082a4b64159d74ed2466ed41c81ae0401c1)
@@ -4,5 +4,5 @@
 -->
 
-<!ENTITY day          "14">                   <!-- Always 2 digits -->
+<!ENTITY day          "15">                   <!-- Always 2 digits -->
 <!ENTITY month        "01">                   <!-- Always 2 digits -->
 <!ENTITY year         "2010">
@@ -172,4 +172,5 @@
 <!ENTITY libelf-version               "0.8.13">
 <!ENTITY libggz-version               "0.0.14.1">
+<!ENTITY libsigc-version              "2.2.4.2">
 
 <!-- Obsolete
Index: general/genlib/genlib.xml
===================================================================
--- general/genlib/genlib.xml	(revision 2435bae71456c448dc75b37fbd62d585f4462321)
+++ general/genlib/genlib.xml	(revision 0801c082a4b64159d74ed2466ed41c81ae0401c1)
@@ -95,4 +95,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libelf.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libggz.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libsigc++.xml"/>
 
   <!--  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libxml.xml"/> -->
Index: general/genlib/libsigc++.xml
===================================================================
--- general/genlib/libsigc++.xml	(revision 0801c082a4b64159d74ed2466ed41c81ae0401c1)
+++ general/genlib/libsigc++.xml	(revision 0801c082a4b64159d74ed2466ed41c81ae0401c1)
@@ -0,0 +1,113 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY libsigc-download-http "&gnome-download-http;/libsigc++/2.2/libsigc++-&libsigc-version;.tar.bz2">
+  <!ENTITY libsigc-download-ftp  "&gnome-download-ftp;/libsigc++/2.2/libsigc++-&libsigc-version;.tar.bz2">
+  <!ENTITY libsigc-md5sum        "545edbb7b54eec4f723323d3158c0e0c">
+  <!ENTITY libsigc-size          "3.4 MB">
+  <!ENTITY libsigc-buildsize     "22 MB">
+  <!ENTITY libsigc-time          "0.2 SBU">
+]>
+
+<sect1 id="libsigc" xreflabel="libsigc++-&libsigc-version;">
+  <?dbhtml filename="libsigc.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>libsigc++-&libsigc-version;</title>
+
+  <indexterm zone="libsigc">
+    <primary sortas="a-libsigc++">libsigc++</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to libsigc++</title>
+
+    <para>The <application>libsigc++</application> package implements a typesafe
+    callback system for standard C++.</para>
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&libsigc-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&libsigc-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &libsigc-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &libsigc-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &libsigc-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &libsigc-time;</para>
+      </listitem>
+    </itemizedlist>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of libsigc++</title>
+
+    <para>Install <application>libsigc++</application> by running the following
+    commands:</para>
+
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
+
+    <para>To test the results, issue: <command>make check</command>.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>None</seg>
+        <seg>libsigc-2.0.so</seg>
+        <seg>/usr/{include/sigc++-2.0/sigc++/{adaptors/lambda,functors},
+        lib/sigc++-2.0/include,share/{devhelp/books/libsigc++-2.0,
+        doc/libsigc++-2.0/{images,reference/html,tutorial/html}}}</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="libsigc-2.0">
+        <term><filename class='libraryfile'>libsigc-2.0.so</filename></term>
+        <listitem>
+          <para>contains the <application>libsigc++</application> API
+          functions.</para>
+          <indexterm zone="libsigc libsigc-2.0">
+            <primary sortas="c-libsigc-2.0">libsigc-2.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 2435bae71456c448dc75b37fbd62d585f4462321)
+++ introduction/welcome/changelog.xml	(revision 0801c082a4b64159d74ed2466ed41c81ae0401c1)
@@ -43,4 +43,13 @@
 
     <listitem>
+      <para>January 15th, 2010</para>
+      <itemizedlist>
+        <listitem>
+          <para>[wblaszcz] - Added new package, libsigc++-2.2.4.2.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>January 14th, 2010</para>
       <itemizedlist>