Index: gnome/platform/gnome-desktop.xml
===================================================================
--- gnome/platform/gnome-desktop.xml	(revision 9a3635005c741b0c470d669c2252a62bdde3140f)
+++ gnome/platform/gnome-desktop.xml	(revision 802de0729e36a49f2c35bf482726136fd339dff1)
@@ -6,10 +6,10 @@
 
 <!ENTITY gnome-desktop-download-http
-           "&gnome-download-http;/gnome-desktop/&gnome-minor-20;/gnome-desktop-&gnome-desktop-version;.tar.xz">
+           "&gnome-download-http;/gnome-desktop/&gnome-minor-22;/gnome-desktop-&gnome-desktop-version;.tar.xz">
   <!ENTITY gnome-desktop-download-ftp
-           "&gnome-download-ftp;/gnome-desktop/&gnome-minor-20;/gnome-desktop-&gnome-desktop-version;.tar.xz">
-  <!ENTITY gnome-desktop-md5sum        "8354ed38624f5eb6b5d34267b658a9c9">
+           "&gnome-download-ftp;/gnome-desktop/&gnome-minor-22;/gnome-desktop-&gnome-desktop-version;.tar.xz">
+  <!ENTITY gnome-desktop-md5sum        "a48751f89cdc60a6df56eec74f1ec7ba">
   <!ENTITY gnome-desktop-size          "1.0 MB">
-  <!ENTITY gnome-desktop-buildsize     "19 MB">
+  <!ENTITY gnome-desktop-buildsize     "24 MB">
   <!ENTITY gnome-desktop-time          "0.3 SBU">
 ]>
@@ -159,7 +159,6 @@
           /usr/include/gnome-desktop-3.0,
           /usr/share/gnome,
-          /usr/share/gtk-doc/html/gnome-desktop3,
-          /usr/share/help/*/{fdl,gpl,lgpl}, and
-          /usr/share/libgnome-desktop-3.0
+          /usr/share/gtk-doc/html/gnome-desktop3, and
+          /usr/share/help/*/{fdl,gpl,lgpl}
         </seg>
       </seglistitem>
Index: gnome/platform/gnome-online-accounts.xml
===================================================================
--- gnome/platform/gnome-online-accounts.xml	(revision 9a3635005c741b0c470d669c2252a62bdde3140f)
+++ gnome/platform/gnome-online-accounts.xml	(revision 802de0729e36a49f2c35bf482726136fd339dff1)
@@ -6,9 +6,9 @@
 
   <!ENTITY gnome-online-accounts-download-http
-           "&gnome-download-http;/gnome-online-accounts/&gnome-minor-20;/gnome-online-accounts-&gnome-online-accounts-version;.tar.xz">
+           "&gnome-download-http;/gnome-online-accounts/&gnome-minor-22;/gnome-online-accounts-&gnome-online-accounts-version;.tar.xz">
   <!ENTITY gnome-online-accounts-download-ftp
-           "&gnome-download-ftp;/gnome-online-accounts/&gnome-minor-20;/gnome-online-accounts-&gnome-online-accounts-version;.tar.xz">
-  <!ENTITY gnome-online-accounts-md5sum        "9bfd7f779c728f27939fdb93b9c68de8">
-  <!ENTITY gnome-online-accounts-size          "1.4 MB">
+           "&gnome-download-ftp;/gnome-online-accounts/&gnome-minor-22;/gnome-online-accounts-&gnome-online-accounts-version;.tar.xz">
+  <!ENTITY gnome-online-accounts-md5sum        "4bcf604c6856ab8f5a2805e5e95ab874">
+  <!ENTITY gnome-online-accounts-size          "1.3 MB">
   <!ENTITY gnome-online-accounts-buildsize     "46 MB">
   <!ENTITY gnome-online-accounts-time          "0.5 SBU">
@@ -156,5 +156,5 @@
       <seglistitem>
         <seg>
-          goa-daemon
+          goa-daemon (library executable)
         </seg>
         <seg>
Index: gnome/platform/vte.xml
===================================================================
--- gnome/platform/vte.xml	(revision 9a3635005c741b0c470d669c2252a62bdde3140f)
+++ gnome/platform/vte.xml	(revision 802de0729e36a49f2c35bf482726136fd339dff1)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY vte-download-http "&gnome-download-http;/vte/0.44/vte-&vte-version;.tar.xz">
-  <!ENTITY vte-download-ftp  "&gnome-download-ftp;/vte/0.44/vte-&vte-version;.tar.xz">
-  <!ENTITY vte-md5sum        "eca8f8a9d9f9bb8e9d592d0acfeec015">
-  <!ENTITY vte-size          "952 KB">
-  <!ENTITY vte-buildsize     "21 MB (with tests)">
-  <!ENTITY vte-time          "0.5 SBU (with tests)">
+  <!ENTITY vte-download-http "&gnome-download-http;/vte/0.46/vte-&vte-version;.tar.xz">
+  <!ENTITY vte-download-ftp  "&gnome-download-ftp;/vte/0.46/vte-&vte-version;.tar.xz">
+  <!ENTITY vte-md5sum        "4767fe9928bc01afe8d9d968a76a8589">
+  <!ENTITY vte-size          "972 KB">
+  <!ENTITY vte-buildsize     "24 MB (with tests)">
+  <!ENTITY vte-time          "0.4 SBU (with tests)">
 
   <!-- For "Contents" and "Short Descriptions" sections -->